Index: trunk/workshop-foss4g/tuning.rst
===================================================================
--- trunk/workshop-foss4g/tuning.rst	(revision 1)
+++ trunk/workshop-foss4g/tuning.rst	(revision 31)
@@ -1,14 +1,14 @@
 .. _tuning:
 
-Section 21: Tuning PostgreSQL for Spatial
-=========================================
+Partie 21 : paramÃ©trer PostgreSQK pour le spatial
+=================================================
 
-PostgreSQL is a very versatile database system, capable of running efficiently in very low-resource environments and environments shared with a variety of other applications.  In order to ensure it will run properly for many different environments, the default configuration is very conservative and not terribly appropriate for a high-performance production database.  Add the fact that geospatial databases have different usage patterns, and the data tend to consist of fewer, much larger records than non-geospatial databases, and you can see that the default configuration will not be totally appropriate for our purposes.  
+PostgreSQL est une base de donnÃ©es trÃšs versatile, capable de tourner dans des environnements ayant des ressources trÃšs limitÃ©s et partageant ces ressources avec un grand nombre d'autres applications. Afin d'assurer qu'il tournera convenablement dans ces environnements, la configuration par dÃ©faut est trÃšs peu consomatrice de ressource mais terriblement innadapatÃ© pour des bases de donnÃ©es hautes-performances en production. Ajoutez Ã  cela le fait que les base de donnÃ©es spatiales ont diffÃ©rent type d'utilisation, et que les donnÃ©es sont gÃ©nÃ©ralement plus grandes que les autres types de donnÃ©es, vous en arriverez Ã  la conclusion que les parÃštres par dÃ©faut ne sont pas appropriÃ© pour notre utilisasion.
 
-All of these configuration parameters can edited in the database configuration file, :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.  This is a regular text file and can be edited using Notepad or any other text editor.  The changes will not take effect until the server is restarted.
+Tout ces paramÃštres de configuration peuvent Ãªtre Ã©ditÃ© dans le fichier de configuration de la base de donnÃ©es : :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.  Le contenu du fichier est du texte et il peut donc Ãªtre ouvert avec l'outils d'Ã©dition de fichiers de votre choix (Notepad par exemple). Les modifications apportÃ©es Ã  ce fichier ne seront effectives que lors du redÃ©marrage du serveur.
 
 .. image:: ./tuning/conf01.png
 
-An easier way of editing this configuration is by using the built-in "Backend Configuration Editor".  In pgAdmin, go to *File > Open postgresql.conf...*.  It will ask for the location of the file, and navigate to :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.
+Une faÃ§on simple d'Ã©diter ce fichier de configuration est d'utiliser l'outils nommÃ© : "Backend Configuration Editor".  Depuis pgAdmin, allez dans *File > Open postgresql.conf...*. Il vous sera demandÃ© le chemin du fichier, naviguez dans votre arborescence jusqu'au fichier :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.
 
 .. image:: ./tuning/conf02.png
@@ -16,16 +16,16 @@
 .. image:: ./tuning/conf03.png
 
-This section describes some of the configuration parameters that should be adjusted for a production-ready geospatial database.  For each section, find the appropriate item in the list, double-click on the line to edit the configuration.  Change the *Value* to the recommended value as described, make sure the item is *Enabled*, the click **OK**.
+Cette partie dÃ©crit certains des paramÃštres de configuration qui doivent Ãªtre modifiÃ©s pour la mise ne place d'une base de donnÃ©es spatiale en production. Pour chaque partie, trouvez le bon paramÃštres dans la liste et double cliquez dessus pour l'Ã©diter. Changez le champs *Value* par la valeur que nous recommendons, assurez-vous que le champs est bien activÃ© pui cliquez sur **OK**.
 
-.. note:: These values are recommendations only; each environment will differ and testing is required to determine the optimal configuration.  But this section should get you off to a good start.
+.. note:: Ces valeurs sont seulement celles que nous recommendons, chaque environnement differera et tester les diffÃ©rents paramÃ©trages est toujours nÃ©cessaire pour s'assurer d'utiliser la configuration optimale. Mais dans cette partie nous vous fournissons un bon point de dÃ©part.
 
 shared_buffers
 --------------
 
-Sets the amount of memory the database server uses for shared memory buffers.  These are shared amongst the back-end processes, as the name suggests.  The default values are typically woefully inadequate for production databases.
+Alloue la quantitÃ© de mÃ©moire que le serveur de bases de donnÃ©es utilise pour ses segments de mÃ©moires partagÃ©es. Cela est partagÃ© par tout les processus serveur, comme sont nom l'indique. La valeur par dÃ©faut est affligeante et inadaptÃ©e pour une base de donnÃ©es en production.
 
-  *Default value*: typically 32MB
+  *Valeur par dÃ©faut* : typiquement 32MB
 
-  *Recommended value*: 75% of database memory (500MB)
+  *Valeur recommandÃ©e* : 75% de la mÃ©moire de la base de donnÃ©es (500MB)
 
 .. image:: ./tuning/conf04.png
@@ -34,11 +34,11 @@
 --------
 
-Defines the amount of memory that internal sorting operations and hash tables can consume before the database switches to on-disk files.  This value defines the available memory for each operation; complex queries may have several sort or hash operations running in parallel, and each connected session may be executing a query.
+DÃ©finit la quantitÃ© de mÃ©moire que les opÃ©ration interne d'ordonnancement et les tables de hachages peuvent consommer avec le serveur passe Ã  des fichiers sur le disque. Cette valeur dÃ©finit la mÃ©moire disponible pour chaque opÃ©ration complexe, les requÃªtes complexes peuvent avoir plusieurs ordres ou opÃ©ration de hachage tournant en parallÃšle, et chaque client s connectÃ© peut exÃ©cuter une requÃªte. 
 
-As such you must consider how many connections and the complexity of expected queries before increasing this value.  The benefit to increasing is that the processing of more of these operations, including ORDER BY, and DISTINCT clauses, merge and hash joins, hash-based aggregation and hash-based processing of subqueries, can be accomplished without incurring disk writes.
+Vous devez donc considÃ©rer combient de connexions et quel complexitÃ© est attendu dans les requÃªtes avant d'augmenter cette valeur. Le bÃ©nÃ©fice acquis par l'augmentation de cette valeur est que la plupart des opÃ©ration de classification,dont les clause ORDER BY et DISTINCT, les jointures, les agrÃ©gation basÃ© sur les hachages et l'exÃ©cution de requÃªte imbriquÃ©es, pourront Ãªtre rÃ©alisÃ© sans avoir Ã  passer par un stockage sur disque.
 
-  *Default value*: 1MB
+  *Valeur par dÃ©faut* : 1MB
 
-  *Recommended value*: 16MB
+  *Valeur recommandÃ©e* : 16MB
 
 .. image:: ./tuning/conf05.png
@@ -47,5 +47,5 @@
 --------------------
 
-Defines the amount of memory used for maintenance operations, including vacuuming, index and foreign key creation.  As these operations are not terribly common, the default value may be acceptable.  This parameter can alternately be increased for a single session before the execution of a number of :command:`CREATE INDEX` or :command:`VACUUM` calls as shown below.
+DÃ©finit la quantitÃ© de mÃ©moire utilisÃ© pour les opÃ©ration de maintenances, dont le nÃ©ttoyage (VACUUM), les indexes et la crÃ©ation de clef Ã©trangÃšres. Comme ces opÃ©ration sont courremment utilisÃ©es, la valeur par dÃ©faut devrait Ãªtre acceptable. Ce paramÃštre peut Ãªtre augmentÃ© dynamiquement Ã  l'exÃ©cution depuis une connexion au serveur avant l'exÃ©cution d'un grand nombre d'appels Ã  :command:`CREATE INDEX` ou :command:`VACUUM` comme le montre la commande suivante.
 
   .. code-block:: sql
@@ -55,7 +55,7 @@
     SET maintenance_work_mem TO '16MB';
 
-  *Default value*: 16MB
+  *Valeur par dÃ©faut* : 16MB
 
-  *Recommended value*: 128MB
+  *Valeur recommendÃ©e* : 128MB
 
 .. image:: ./tuning/conf06.png
@@ -64,11 +64,11 @@
 -----------
 
-Sets the amount of memory used for write-ahead log (WAL) data.  Write-ahead logs provide a high-performance mechanism for insuring data-integrity.  During each change command, the effects of the changes are written first to the WAL files and flushed to disk.  Only once the WAL files have been flushed will the changes be written to the data files themselves.  This allows the data files to be written to disk in an optimal and asynchronous manner while ensuring that, in the event of a crash, all data changes can be recovered from the WAL.  
+DÃ©finit la quantitÃ© de mÃ©moire utilisÃ© pour l'Ã©criture des donnÃ©es dans le journal respectant la rÃšgle du dÃ©faire (WAL). Elle indique que les informations pour annuler les effets d'une opÃ©ration sur un objet doivent Ãªtre Ã©crites dans le journal en mÃ©moire stable avant que l'objet modifiÃ© ne migre sur le disque. Cette rÃšgle permet d'assurer l'intÃ©gritÃ© des donnÃ©es lors d'une reprise aprÃšs dÃ©faillance. En effet,il suffirÃ© de lire le journal pour retrouver l'Ã©tat de la base lors de sont arrÃªt brutal. 
 
-The size of this buffer only needs to be large enough to hold WAL data for a single typical transaction.  While the default value is often sufficient for most data, geospatial data tends to be much larger.  Therefore, it is recommended to increase the size of this parameter.
+La taille de ce tampon nÃ©cessite simplement d'Ãªtre suffisament grand pour stoquer les donnÃ©es WAL pour une seule transaction. Alors que la valeur par dÃ©faut est gÃ©nÃ©ralement siffisante, les donnÃ©es spatiales tendent Ã  Ãªtre plus large. Il est donc recommendÃ© d'augmenter la taille spÃ©cifiÃ©e dans ce paramÃštre.
 
-  *Default value*: 64kB
+  *Valeur par dÃ©faut* : 64kB
 
-  *Recommended value*: 1MB
+  *Valeur recommendÃ©e* : 1MB
 
 .. image:: ./tuning/conf07.png
@@ -77,11 +77,11 @@
 -------------------
 
-This value sets the maximum number of log file segments (typically 16MB) that can be filled between automatic WAL checkpoints.  A WAL checkpoint is a point in the sequence of WAL transactions at which it is guaranteed that the data files have been updated with all information before the checkpoint.  At this time all dirty data pages are flushed to disk and a checkpoint record is written to the log file.  This allows the crash recovery process to find the latest checkpoint record and apply all following log segments to complete the data recovery.
+Cette valeur dÃ©finit le nombre maximum de segements des journaux (typiquement 16MB) qui doit Ãªtre remplit entre chaque point de reprises WAL. Un point de reprise WAL est une partie d'une sÃ©quence de transactions pour lequel on garanti que les fichiers de donnÃ©es ont Ã©tÃ© mis Ã  jour avec toutes les requÃªtes prÃ©cÃ©dent ce point. Ã ce moment-lÃ  toutes les pages sont punaisÃ©es sur le disque et les point de reprises sont Ã©crit dans le fichier de journal. Cela permet au precessus de reprise aprÃšs dÃ©faillance de trouver les dernierspoints de reprises et applique toute les lignes suivantes pour rÃ©cupÃ©rer l'Ã©tat des donnÃ©es avant la dÃ©faillance.
 
-Because the checkpoint process requires the flushing of all dirty data pages to disk, it creates a significant I/O load.  The same argument from above applies; geospatial data is large enough to unbalance non-geospatial optimizations.  Increasing this value will prevent excessive checkpoints, though it may cause the server to restart more slowly in the event of a crash.
+Ãtant donnÃ©e que les point de reprises nÃ©cessitent un punaisage de toutes le pages ayant Ã©tÃ© modifiÃ©e sur le disques, cela va crÃ©er une charge d'entrÃ©es/sorties significative. Le mÃªme arguement que prÃ©cÃ©demment s'applique ici, les donnÃ©es spatiales sont assez grandes pour contrebalancer l'optimisation de donnÃ©es non spatiales. Augmenter cette valeur limitera le nombre de points de reprise, mais impliquera un plus redÃ©marrage en cas de dÃ©faillance.
 
-  *Default value*: 3
+  *Valeur par dÃ©faut* : 3
 
-  *Recommended value*: 6
+  *Valauer recommendÃ©e* : 6
 
 .. image:: ./tuning/conf08.png
@@ -90,9 +90,9 @@
 ----------------
 
-This is a unit-less value that represents the cost of a random page access from disk.  This value is relative to a number of other cost parameters including sequential page access, and cpu operation costs.  While there is no magic bullet for this value, the default is generally conservative.  This value can be set on a per-session basis using the ``SET random_page_cost TO 2.0`` command.
+Cette valeur sans unitÃ© reprÃ©sente le coÃ»t d'accÃšs allÃ©atoire au page du disque. Cete valeur est relative au autres paramÃštres de coÃ»t notemment l'accÃšs sÃ©quentiel au pages, et le coÃ»t des opÃ©ration processeur. Bien qu'il n'y ai pas de valeur magique ici, la valeur par dÃ©faut est gÃ©nÃ©ralement trop faible. Cette valeur peut Ãªtre affectÃ©e dynamiquement par session en utilisant la commande ``SET random_page_cost TO 2.0``.
 
-  *Default value*: 4.0
+  *Valeur par dÃ©faut* : 4.0
 
-  *Recommended value*: 2.0
+  *Valeur recommandÃ©e* : 2.0
 
 .. image:: ./tuning/conf09.png
@@ -101,20 +101,20 @@
 -------------
 
-This is the parameter that controls the cost of a sequential page access.  This value does not generally require adjustment but the difference between this value and ``random_page_cost`` greatly affects the choices made by the query planner.  This value can also be set on a per-session basis.
+C'est une paramÃštre qui controle le coÃ»t des accÃšs sÃ©quentiel au pages. Il n'est gÃ©nÃ©ralement pas nÃ©cessaire de modifier cette valeur maus la diffÃ©rence entre cette valeur et la valeurs ``random_page_cost`` affecte drastiquement le choix fait par le plannificateur de requÃªtes. Cette valeur peut aussi Ãªtre affectÃ©e depuis une session.
 
-  *Default value*: 1.0
+  *Valeur par dÃ©faut* : 1.0
 
-  *Recommended value*: 1.0
+  *Valeur recommandÃ©e* : 1.0
 
 .. image:: ./tuning/conf10.png
 
-Reload configuration
---------------------
+Recharger la configuration
+--------------------------
 
-After these changes are made, save changes and reload the configuration.  
+AprÃšs avoir rÃ©alisÃ© ces changements mentionÃ© dans cette partie sauvez-les puis rechargez la configuration.
 
- * This is done by right-clicking on the server (``PostgreSQL 8.4 on localhost:54321``) in pgAdmin, selecting to *Disconnect*. 
- * Clicking *Shutdown* in the OpenGeo Dashboard, then clicking *Start*. 
- * Finally reconnecting to the server in pgAdmin (right-click on the server and select *Connect*).
+ * Ceci se fait en cliquant avec le bouton droit sur le nom du serveur (``PostgreSQL 8.4 on localhost:54321``) depuis pgAdmin, selectionnez *Disconnect*. 
+ * Cliquez sur le bouton *Shutdown* depuis le Dashboard OpenGeo, puis cliquez sur *Start*. 
+ * Pour finir reconnectez-vous au serveur depuis pgAdmin (cliquez avec le bouton droit sur le serveur puis sÃ©lectionnez *Connect*).
  
  