Index: /trunk/workshop-foss4g/geometry_returning.rst
===================================================================
--- /trunk/workshop-foss4g/geometry_returning.rst	(revision 34)
+++ /trunk/workshop-foss4g/geometry_returning.rst	(revision 35)
@@ -1,15 +1,15 @@
 .. _geometry_returning:
 
-Section 18: Geometry Constructing Functions
-===========================================
+Partie 18 : Fonction de construction de gÃ©omÃ©tries
+==================================================
 
-All the functions we have seen so far work with geometries "as they are" and returns
+Toute les fonctions que nous avons vu jusqu'Ã  prÃ©sent traitent les gÃ©omÃ©tries "comme elles sont" est retournent 
  
-* analyses of the objects (:command:`ST_Length(geometry)`, :command:`ST_Area(geometry)`), 
-* serializations of the objects (:command:`ST_AsText(geometry)`, :command:`ST_AsGML(geometry)`), 
-* parts of the object (:command:`ST_RingN(geometry,n)`) or 
-* true/false tests (:command:`ST_Contains(geometry,geometry)`, :command:`ST_Intersects(geometry,geometry)`).
+* une analise des objets (:command:`ST_Length(geometry)`, :command:`ST_Area(geometry)`), 
+* une sÃ©rialisation des objets (:command:`ST_AsText(geometry)`, :command:`ST_AsGML(geometry)`), 
+* une partie de l'objet (:command:`ST_RingN(geometry,n)`) ou
+* un resultat vrai/faux (:command:`ST_Contains(geometry,geometry)`, :command:`ST_Intersects(geometry,geometry)`).
 
-"Geometry constructing functions" take geometries as inputs and output new shapes.
+Les "fonctions de construction de gÃ©omÃ©tries" prennent des gÃ©omÃ©tries en entrÃ©e et retourne de nousvelles formes.
 
 
@@ -17,8 +17,8 @@
 -------------------------------
 
-A common need when composing a spatial query is to replace a polygon feature with a point representation of the feature. This is useful for spatial joins (as discussed in :ref:`polypolyjoins`) because using :command:`ST_Intersects(geometry,geometry)` on two polygon layers often results in double-counting: a polygon on a boundary will intersect an object on both sides; replacing it with a point forces it to be on one side or the other, not both.
+Un besoin commun lors de la crÃ©ation de requÃªtes spatiales est de remplacer une entitÃ© polygonale par un point reprÃ©sentant cette entitÃ©. Cela esr utile pour les jointures spatiales (comme indiquÃ© ici : :ref:`polypolyjoins`) car utiliser :command:`ST_Intersects(geometry,geometry)` avec deux polygones impliquera un double comptage : un polygone pour le contour externe intersectera dans les deux senses; le replacer par un point le forcera Ã  Ãªtre dans un seul sens, pas les deux.
 
- * :command:`ST_Centroid(geometry)` returns a point that is approximately on the center of mass of the input argument. This simple calculation is very fast, but sometimes not desirable, because the returned point is not necessarily in the feature itself. If the input feature has a convexity (imagine the letter 'C') the returned centroid might not be in the interior of the feature.
- * :command:`ST_PointOnSurface(geometry)` returns a point that is guaranteed to be inside the input argument. It is substantially more computationally expensive than the centroid operation.
+ * :command:`ST_Centroid(geometry)` retourne le point qui est approximativement au centre de la masse de la gÃ©omÃ©trie passÃ© en paramÃštre. C'est un calcul simle et rapide, mais parfois non proftable, car le point retournÃ© peut se trouver Ã  l'extÃ©rieur de l'entitÃ© elle-mÃªme. Si l'entitÃ© fournie est convee (imaginez la lettre 'C') le centroÃ¯de renvoyÃ© pourrait ne pas Ãªtre Ã  l'intÃ©rieur du polygone.
+ * :command:`ST_PointOnSurface(geometry)` retourne un point qui est obligatoirement dans l'entitÃ© passÃ©e en paramÃštre. Cette fonction coÃ»te plus cher en ressource que le calcul du centroÃ¯d.
  
 .. image:: ./geometry_returning/centroid.jpg
@@ -28,13 +28,13 @@
 ---------
 
-The buffering operation is common in GIS workflows, and is also available in PostGIS. :command:`ST_Buffer(geometry,distance)` takes in a buffer distance and geometry type and outputs a polygon with a boundary the buffer distance away from the input geometry. 
+L'opÃ©ration de zone tampon est souvent disponible dans les outils SIG, il est aussi disponible dans PostGIS. La fonction :command:`ST_Buffer(geometry,distance)` prend en paramÃštre une gÃ©omÃ©trie et une distance et retourne une zone tampon dont le contour est Ã  une distance donnÃ©es de la gÃ©omÃ©trie d'origine.
 
 .. image:: ./geometry_returning/st_buffer.png
 
-For example, if the US Park Service wanted to enforce a marine traffic zone around Liberty Island, they might build a 500 meter buffer polygon around the island. Liberty Island is a single census block in our ``nyc_census_blocks`` table, so we can easily extract and buffer it.
+Par exemple, si les services des parks amÃ©ricains souhaitaient renforcer la zone du traffique maritime autour de l'Ã®le 'Liberty', ils pourraient construire une zone tampon de 500 mÃštres autour de l'Ã®le. L'Ã®le de 'Liiberty' est reprÃ©sentÃ© par un seul bloque dans notre table ``nyc_census_blocks`, nous pouvons donc facilement rÃ©aliser ce calcul. 
 
 .. code-block:: sql
 
-  -- Make a new table with a Liberty Island 500m buffer zone
+  -- CrÃ©ation d'une nouvelle table avec une zone tampon de 500 m autour de 'Liberty Island'
   CREATE TABLE libery_island_zone AS
   SELECT ST_Buffer(the_geom,500) AS the_geom 
@@ -42,10 +42,10 @@
   WHERE blkid = '360610001009000';
 
-  -- Update the geometry_columns table
+  -- Mise Ã  jour de la table geometry_columns
   SELECT Populate_Geometry_Columns(); 
   
 .. image:: ./geometry_returning/liberty_positive.jpg
 
-The :command:`ST_Buffer` function also accepts negative distances and builds inscribed polygons within polygonal inputs. For lines and points you will just get an empty return.
+La fonction :command:`ST_Buffer` permet aussi d'utiliser des valeur nÃ©gative pour le paramÃštre distance et construit un polygone inclue dans celui passÃ© en paramÃštre. Pour les points et les lignes vous obtiendrez simplement un rÃ©sultat vide.
 
 .. image:: ./geometry_returning/liberty_negative.jpg
@@ -55,12 +55,12 @@
 ---------------
 
-Another classic GIS operation -- the "overlay" -- creates a new coverage by calculating the intersection of two superimposed polygons. The resultant has the property that any polygon in either of the parents can be built by merging polygons in the resultant.
+Une autre opÃ©ration classique prÃ©sente dans les SIGS - le chevauchement - crÃ©e une nouvelle entitÃ© en calculant la zone correpondant Ã  l'intersection de deux polygones supperposÃ©s. Le rÃ©sultat Ã  la propriÃ©tÃ© de permettre de reconstruire les entitÃ© de base Ã  l'aide de ce rÃ©sultat.
 
-The :command:`ST_Intersection(geometry A, geometry B)` function returns the spatial area (or line, or point) that both arguments have in common. If the arguments are disjoint, the function returns an empty geometry.
+La fonction :command:`ST_Intersection(geometry A, geometry B)` retourne la zone gÃ©ographique (ou une ligne, ou un point) que les deux gÃ©omÃ©tries on en commun. Si les gÃ©omÃ©tries sont disjointes, la fontion retourne une gÃ©omÃ©trie vide.
 
 .. code-block:: sql
 
-  -- What is the area these two circles have in common?
-  -- Using ST_Buffer to make the circles!
+  -- Quelle est l'aire que ces deux cercles ont en commun ?
+  -- Utilisons la fonction ST_Buffer pour crÃ©er ces cercles !
   
   SELECT ST_AsText(ST_Intersection(
@@ -76,12 +76,12 @@
 --------
 
-In the previous example we intersected geometries, creating a new geometry that had lines from both the inputs. The :command:`ST_Union` does the reverse; it takes inputs and removes common lines. There are two forms of the :command:`ST_Union` function: 
+Dans l'exemple prÃ©cÃ©dent nous intersections des gÃ©omÃ©tries, crÃ©ant une nouvelle gÃ©omÃ©trie unique Ã  partir de deux entitÃ©s. La commade :command:`ST_Union` fait l'inverse, elle prend en paramÃštre des gÃ©omÃ©tries et supprime les parties communes. Il y a deux versions possibles de la fonction  :command:`ST_Union` : 
 
- * :command:`ST_Union(geometry, geometry)`: A two-argument version that takes in two geometries and returns the merged union.  For example, our two-circle example from the previous section looks like this when you replace the intersection with a union.
+ * :command:`ST_Union(geometry, geometry)`: une version avec deux paramÃštres qui prend les gÃ©omÃ©tries et rentourne l'union des deux. Par exemple, nos deux cercles ressemble Ã  ce qui suit si nous utilisons l'opÃ©ration union plutÃŽt que l'intersection.
  
    .. code-block:: sql
 
-     -- What is the total area these two circles cover?
-     -- Using ST_Buffer to make the circles!
+     -- Quelle est l'aire totale des ces deux cercles ?
+     -- Utilisons ST_Buffer pour crÃ©er les cercles !
  
      SELECT ST_AsText(ST_Union(
@@ -93,6 +93,7 @@
    
 
- * :command:`ST_Union([geometry])`: An aggregate version that takes in a set of geometries and returns the merged geometry for the entire group. The aggregate ST_Union can be used with the ``GROUP BY`` SQL statement to create carefully merged subsets of basic geometries. It is very powerful,
- 
+ * :command:`ST_Union([geometry])`: une version agrÃ©gÃ©e qui prendre un ensemble de gÃ©omÃ©tries et retourne une gÃ©omÃ©trie contenant l'ensemble des gÃ©omÃ©tries rassemblÃ©es. La fonction Ã©grÃ©gÃ©e ST_Union peut Ãªtre utilisÃ© grÃ¢ce au SQL ``GROUP BY`` our crÃ©er un ensemble rassemblant des sous-ensembles de gÃ©omÃ©tries basiques. Cela est trÃšs puissant,
+
+Par exemple la fonction d'agrÃ©gation  :command:`ST_Union`, considÃšrons notre table ``nyc_census_blocks``. 
 As an example of :command:`ST_Union` aggregation, consider our ``nyc_census_blocks`` table. Census geography is carefully constructed so that larger geographies can be built up from smaller ones. So, we can create a census tracts map by merging the blocks that form each tract (as we do later in :ref:`creatingtractstable`). Or, we can create a county map by merging blocks that fall within each county.
 
@@ -113,5 +114,5 @@
 .. code-block:: sql
 
-  -- Create a nyc_census_counties table by merging census blocks
+  -- CrÃ©ation d'une table nyc_census_counties en regroupant les bloques
   CREATE TABLE nyc_census_counties AS
   SELECT 
@@ -121,5 +122,5 @@
   GROUP BY countyid;
   
-  -- Update the geometry_columns table
+  -- Mise Ã  jour de la table geometry_columns
   SELECT Populate_Geometry_Columns();
   
@@ -144,5 +145,5 @@
   36085    | 149806077.958252
 
-Then we calculate the area of each of our new county polygons from the county table:
+Ensuite nous calculons l'aire de chaque zone de nos nouveaux polygones de rÃ©gions de la table count :
 
 .. code-block:: sql
@@ -161,10 +162,10 @@
   36085    | 149806077.958252
 
-The same answer! We have successfully built an NYC county table from our census blocks data.
+La mÃªme rÃ©ponse ! Nous avons construit avec succÃšs une table des rÃ©gions de NYC Ã  partir de nos donnÃ©es initiales.
 
-Function List
--------------
+Liste des fonctions
+-------------------
 
-`ST_AsText(text) <http://postgis.org/docs/ST_AsText.html>`_: Returns the Well-Known Text (WKT) representation of the geometry/geography without SRID metadata.
+`ST_AsText(text) <http://postgis.org/docs/ST_AsText.html>`_: retourne la reprÃ©sentation Well-Known Text (WKT) de la geometry/geography sans mÃ©tadonnÃ©e SRID.
 
 `ST_Buffer(geometry, distance) <http://postgis.org/docs/ST_Buffer.html>`_: For geometry: Returns a geometry that represents all points whose distance from this Geometry is less than or equal to distance. Calculations are in the Spatial Reference System of this Geometry. For geography: Uses a planar transform wrapper. 