Index: trunk/workshop-foss4g/geometries.rst
===================================================================
--- trunk/workshop-foss4g/geometries.rst	(revision 20)
+++ trunk/workshop-foss4g/geometries.rst	(revision 37)
@@ -1,5 +1,5 @@
 .. _geometries:
 
-Partie 8 : les gÃ©ometries
+Partie 8 : Les gÃ©ometries
 =====================
 
@@ -7,5 +7,5 @@
 ------------
 
-Dans :ref:`une partie prÃ©cÃ©dente<loading_data>` nous avons charger diffÃ©rentes donnÃ©es. Avant de commencer Ã  jouer avec, commenÃ§ons par regarder quelques exemples simples. Depuis pgAdmin, choisissez encore la base de donnÃ©e **nyc** et ouvrez l'outils de requÃªtage SQL. Copiez cette exemple de code SQL (aprÃšs avoir supprimer le contenu prÃ©sent dÃ©faut si nÃ©cessaire) puis exÃ©cutez-le.
+Dans :ref:`une partie prÃ©cÃ©dente<loading_data>` nous avons charger diffÃ©rentes donnÃ©es. Avant de commencer Ã  jouer avec, commenÃ§ons par regarder quelques exemples simples. Depuis pgAdmin, choisissez de nouveau la base de donnÃ©e **nyc** et ouvrez l'outil de requÃªtage SQL. Copiez cette exemple de code SQL (aprÃšs avoir supprimer le contenu prÃ©sent par dÃ©faut si nÃ©cessaire) puis exÃ©cutez-le.
 
 .. code-block:: sql
@@ -33,5 +33,5 @@
 Dans le respect de la spÃ©cification Simple Features for SQL (:term:`SFSQL`), PostGIS fournit deux tables pour rÃ©cupÃ©rer et s'informer sur les types de gÃ©omÃ©tries disponibles dans une base de donnÃ©es spÃ©cifique.
 
-* La premiÃšre table, ``spatial_ref_sys``, dÃ©finit tout les systÃšme de projection connu de la base de donnÃ©es et sera dÃ©crite plus en dÃ©tals plus tard.  
+* La premiÃšre table, ``spatial_ref_sys``, dÃ©finit tout les systÃšmes de projection connus de la base de donnÃ©es et sera dÃ©crite plus en dÃ©tals plus tard.  
 * La seconde table, ``geometry_columns``, fournit une liste de toutes les "entitÃ©s" (dÃ©finit comme un objet avec un attribut gÃ©omÃ©trique) et les dÃ©tails de base relatives Ã  ces entitÃ©s. 
 
@@ -54,12 +54,12 @@
 * La colonne ``type`` dÃ©finit le type de gÃ©omÃ©trie comme dÃ©crit plus tÃŽt, nous avons dÃ©jÃ  vu les points et les lignes.  
 
-En interrogeant cette table, les clients SIG et les libraires peuvent dÃ©terminer quoi attendre lors de la rÃ©cupration des donnÃ©es et peuvent rÃ©aliser les opÃ©ration de reprojection, transformation ou rendu sans avoir a inspecter chaque gÃ©omÃ©trie.
-
-RÃ©prÃ©senter des objets du mode rÃ©el
+En interrogeant cette table, les clients SIG et les libraires peuvent dÃ©terminer quoi attendre lors de la rÃ©cupÃ©ration des donnÃ©es et peuvent rÃ©aliser les opÃ©ration de reprojection, transformation ou rendu sans avoir Ã  inspecter chaque gÃ©omÃ©trie.
+
+RÃ©prÃ©senter des objets du monde rÃ©el
 -----------------------------------
 
-La spÃ©cification Simple Features for SQL (:term:`SFSQL`), le standard ayant guidÃ© le dÃ©veloppement de PostGIS, dÃ©finit comment les objets du monde rÃ©el doivent Ãªtre reprÃ©sentÃ©s. En considÃ©rant une forme continue Ã  une seule rÃ©solution fixe, nous obtenu un piÃštre reprÃ©sentation des objets. SFSQL considÃšre uniquement les reprÃ©sentations en 2 dimensions. PostGIS a Ã©tendu cela en ajoutant les reprÃ©sentation en 3 et 4 dimensions, plus rÃ©cemment la spÃ©cification SQL-Multimedia Part 3 (:term:`SQL/MM`) a officiellement dÃ©finit sa propre reprÃ©senation.
-
-Notre table exemple contient diffÃ©rents types de gÃ©omÃ©tries Nous pouvons rÃ©cupÃ©rer les informations de chaque objets en utilisant les fonctions qui lisent les mÃ©tadonnÃ©es de la gÃ©omÃ©trie.
+La spÃ©cification Simple Features for SQL (:term:`SFSQL`), le standard ayant guidÃ© le dÃ©veloppement de PostGIS, dÃ©finit comment les objets du monde rÃ©el doivent Ãªtre reprÃ©sentÃ©s. En considÃ©rant une forme continue Ã  une seule rÃ©solution fixe, nous obtenons une piÃštre reprÃ©sentation des objets. SFSQL considÃšre uniquement les reprÃ©sentations en 2 dimensions. PostGIS a Ã©tendu cela en ajoutant les reprÃ©sentation en 3 et 4 dimensions. Plus rÃ©cemment, la spÃ©cification SQL-Multimedia Part 3 (:term:`SQL/MM`) a officiellement dÃ©finit sa propre reprÃ©sentation.
+
+Notre table exemple contient diffÃ©rents types de gÃ©omÃ©tries. Nous pouvons rÃ©cupÃ©rer les informations de chaque objet en utilisant les fonctions qui lisent les mÃ©tadonnÃ©es de la gÃ©omÃ©trie.
 
  * :command:`ST_GeometryType(geometry)` retourne le type de la gÃ©omÃ©trie
@@ -90,5 +90,5 @@
    :align: center
 
-Un **point** spatiale reprÃ©sente une localisation unique sur la Terre. Ce point est reprÃ©sentÃ© par une seule coordonnÃ©e (incluant soit 2, 3 ou 4 dimensions). Les points sont utilisÃ©s pour reprÃ©senter des objets lorsque le dÃ©tails exact du contour n'est pas important Ã  une Ã©chelle donnÃ©e. Par exemple, les villes sur une carte du monde pourraient Ãªtre dÃ©crite sous la forme de points alors qu'une carte rÃ©gionale utiliserait une reprÃ©sentation polygonale des villes.
+Un **point** reprÃ©sente une localisation unique sur la Terre. Ce point est reprÃ©sentÃ© par une seule coordonnÃ©e (incluant soit 2, 3 ou 4 dimensions). Les points sont utilisÃ©s pour reprÃ©senter des objets lorsque le dÃ©tails exact du contour n'est pas important Ã  une Ã©chelle donnÃ©e. Par exemple, les villes sur une carte du monde peuvent Ãªtre dÃ©crite sous la forme de points alors qu'une carte rÃ©gionale utiliserait une reprÃ©sentation polygonale des villes.
 
 .. code-block:: sql
@@ -102,5 +102,5 @@
   POINT(0 0)
 
-Ceraints des fonctions spÃ©cifiques pour travailler avec les points sont :
+Ceraines des fonctions spÃ©cifiques pour travailler avec les points sont :
 
  * :command:`ST_X(geometry)` retourne la composante X
@@ -115,5 +115,5 @@
     WHERE name = 'Point';
 
-La table des stations de mÃ©tros de la ville de New York  (``nyc_subway_stations``) est un ensemble de donnÃ©es reprÃ©sentÃ© sous la forme de points. La requÃªte SQL suivante reverra la gÃ©omÃ©trie associÃ©e Ã  un point (dans la colonne :command:`ST_AsText`).
+La table des stations de mÃ©tro de la ville de New York  (``nyc_subway_stations``) est un ensemble de donnÃ©es reprÃ©sentÃ© sous la forme de points. La requÃªte SQL suivante reverra la gÃ©omÃ©trie associÃ©e Ã  un point (dans la colonne :command:`ST_AsText`).
 
 .. code-block:: sql
@@ -130,7 +130,7 @@
    :align: center
 
-Une **ligne** est un chemin entre plusieurs points. Elle prend la forme d'un tableay ordonnÃ© de deux (ou plus) points. Les routes et les riviÃšres sont tipyquement reprÃ©sentÃ© sous la forme de lignes. Une ligne est dire **fermÃ©e** si elle commence et se fini en un mÃªme point. Elle est dite **simple** si elle ne se coupe pas ni se touche elle-mÃªme (sauf Ã  ses extrÃ©mitÃ©s si elle est fermÃ©e). Une ligne peut Ãªtre Ã  la fois **fermÃ©e** et **simple**.
-
-Le rÃ©seau des rues de New York (``nyc_streets``) a Ã©tÃ© chargÃ© plus tÃŽt. Cet ensemble de donnÃ©es contient les dÃ©tails comme le nom et le type. Une rue du monde rÃ©elle pourrait Ãªtre constituÃ©e de plusieurs lignes, chacune reprÃ©sentant une file de la avec diffÃ©rents attributs.
+Une **ligne** est un chemin entre plusieurs points. Elle prend la forme d'un tableau ordonnÃ© de deux (ou plusieurs) points. Les routes et les riviÃšres sont typiquement reprÃ©sentÃ©s sous la forme de lignes. Une ligne est dite **fermÃ©e** si elle commence et fini en un mÃªme point. Elle est dite **simple** si elle ne se coupe pas ou ne se touche pas elle-mÃªme (sauf Ã  ses extrÃ©mitÃ©s si elle est fermÃ©e). Une ligne peut Ãªtre Ã  la fois **fermÃ©e** et **simple**.
+
+Le rÃ©seau des rues de New York (``nyc_streets``) a Ã©tÃ© chargÃ© auparavant. Cet ensemble de donnÃ©es contient les dÃ©tails comme le nom et le type. Une rue du monde rÃ©el pourrait Ãªtre constituÃ©e de plusieurs lignes, chacune reprÃ©sentant une file avec diffÃ©rents attributs.
 
 La requÃªte SQL suivante retourne la gÃ©omÃ©trie associÃ©e Ã  une ligne (dans la colonne :command:`ST_AsText`) :
@@ -174,7 +174,7 @@
 Un polygone est reprÃ©sentÃ© comme une zone. Le contour externe du polygone est reprÃ©sentÃ© par une ligne simple et fermÃ©e. Les trous sont reprÃ©sentÃ© de la mÃªme maniÃšre.
 
-Les polygones sont utiliser pour reprÃ©senter les objets dont les tailles et la forme sont importants. Les limites de villes, les parks, les batiments ou les cours d'eau sont habituellement reprÃ©sentÃ© par des polygones lorsque l'Ã©chelle est suffisament Ã©levÃ©e pour voir distinguer leurs zones. Les routes et les riviÃšres peuvent parfois Ãªtre reprÃ©sentÃ© comme des polygones.
-
-La requÃªte SQL suivante retournera la gÃ©omÃ©trie associÃ©e Ã  un polygon (dans la colonne :command:`ST_AsText`).
+Les polygones sont utilisÃ©s pour reprÃ©senter les objets dont les tailles et la forme sont importants. Les limites de villes, les parcs, les bÃ¢timents ou les cours d'eau sont habituellement reprÃ©sentÃ© par des polygones lorsque l'Ã©chelle est suffisament Ã©levÃ©e pour voir distinguer leurs zones. Les routes et les riviÃšres peuvent parfois Ãªtre reprÃ©sentÃ© comme des polygones.
+
+La requÃªte SQL suivante retournera la gÃ©omÃ©trie associÃ©e Ã  un polygone (dans la colonne :command:`ST_AsText`).
 
 .. code-block:: sql
@@ -193,13 +193,13 @@
  POLYGON((0 0, 10 0, 10 10, 0 10, 0 0),(1 1, 1 2, 2 2, 2 1, 1 1))
 
-Le premier polygon a seulement une ligne. Le second a un "trou". La plupart des systÃšmes de rendu graphique supportent le concept de "polygone", mais les systÃšme SIG sont les seuls a accepter que les polygones puisse contenir des trous.
+Le premier polygone a seulement une ligne. Le second a un "trou". La plupart des systÃšmes de rendu graphique supportent le concept de "polygone", mais les systÃšme SIG sont les seuls Ã  accepter que les polygones puissent contenir des trous.
 
 .. image:: ./screenshots/polygons.png
 
-Certaines des fonctions spatiales spÃ©cifique de traitement des polygones sont :
+Certaines des fonctions spatiales spÃ©cifiques de traitement des polygones sont :
 
  * :command:`ST_Area(geometry)` retourne l'aire de polygones
- * :command:`ST_NRings(geometry)` retourne le nombre de contour (habituellement 1, plus lorsqu'il y a des trous)
- * :command:`ST_ExteriorRing(geometry)` rentourne le contour extÃ©rieur
+ * :command:`ST_NRings(geometry)` retourne le nombre de contours (habituellement 1, plus lorsqu'il y a des trous)
+ * :command:`ST_ExteriorRing(geometry)` retourne le contour extÃ©rieur
  * :command:`ST_InteriorRingN(geometry,n)` retourne le contour intÃ©rieur numÃ©ro n
  * :command:`ST_Perimeter(geometry)` retourne la longueur de tout les contours
@@ -223,12 +223,12 @@
 ~~~~~~~~~~~~~~~~ 
 
-Il y a quatre types de collections, qui regroupe ensembles plusieurs gÃ©omÃ©tries simples.
+Il y a quatre types de collections, qui regroupe plusieurs gÃ©omÃ©tries simples ensemble.
 
  * **MultiPoint**, une collection de points
  * **MultiLineString**, une collection de lignes
  * **MultiPolygon**, une collection de polygones
- * **GeometryCollection**, une collections hÃ©tÃ©rogÃšne de n'importe quelle gÃ©omÃ©trie (dont d'autre collections)
-
-Les collections sont un concept prÃ©sents dans les logiciels SIG  plus que dans les application de rendu graphique gÃ©nÃ©rique. Elles sont utiles pour directement modeler  les objets du monde rÃ©el comme des objet spatiaux. Par exemple, comment modÃ©liser une parcelle qui Ã© coupÃ©e par un chemin ? Comme un **MultiPolygon**, ayant une partie de chaque cotÃ© du chemin.
+ * **GeometryCollection**, une collection hÃ©tÃ©rogÃšne de n'importe quelle gÃ©omÃ©trie (dont d'autre collections)
+
+Les collections sont un concept prÃ©sents dans les logiciels SIG  plus que dans les applications de rendu graphique gÃ©nÃ©riques. Elles sont utiles pour directement modeler les objets du monde rÃ©el comme des objet spatiaux. Par exemple, comment modÃ©liser une parcelle qui a Ã©tÃ© coupÃ©e par un chemin ? Comme un **MultiPolygon**, ayant une partie de chaque cotÃ© du chemin.
 
 .. image:: ./screenshots/collection2.png
@@ -255,10 +255,8 @@
  * :command:`ST_Length(geometry)` retourne la longueur totale des composantes de types lignes
 
-
-
 EntrÃ© / Sortie des gÃ©omÃ©tries
 -----------------------------
 
-Dans la base de donnÃ©es, les gÃ©omÃ©tries sont stoquÃ©es dans un format utilisÃ© uniquement par le programme PostGIS. Afin que des programmes externes puissent insÃ©rer et rÃ©cupÃ©rer les donnÃ©es utiles, elles ont besoin d'Ãªtre converties dans un format compris par l'application. Heureusement, PostGIS supporte un grand nombre de formats en entrÃ©e et en sortie :
+Dans la base de donnÃ©es, les gÃ©omÃ©tries sont stockÃ©es dans un format utilisÃ© uniquement par le programme PostGIS. Afin que des programmes externes puissent insÃ©rer et rÃ©cupÃ©rer les donnÃ©es utiles, elles ont besoin d'Ãªtre converties dans un format compris par l'application. Heureusement, PostGIS supporte un grand nombre de formats en entrÃ©e et en sortie :
 
  * Format texte bien connu (Well-known text :term:`WKT`)
@@ -321,5 +319,5 @@
 .. image:: ./geometries/represent-06.png
 
-En plus de pouvoir gÃ©nÃ©rer les diffÃ©rents formats en sortie (WKT, WKB, GML, KML, JSON, SVG), PostGIS permet aussi de lire 4 de ces formats (WKT, WKB, GML, KML). La plupart des application utilisent des fonctions crÃ©ant des gÃ©omÃ©tries Ã  l'aide du format WKT ou WKB, mais les autres marchent aussi. Voici un exemple qui lit du GML et retourne du JSON :
+En plus de pouvoir gÃ©nÃ©rer les diffÃ©rents formats en sortie (WKT, WKB, GML, KML, JSON, SVG), PostGIS permet aussi de lire 4 de ces formats (WKT, WKB, GML, KML). La plupart des applications utilisent des fonctions crÃ©ant des gÃ©omÃ©tries Ã  l'aide du format WKT ou WKB, mais les autres marchent aussi. Voici un exemple qui lit du GML et retourne du JSON :
 
 .. code-block:: sql
@@ -332,5 +330,5 @@
 -------------------
 
-`Populate_Geometry_Columns <http://postgis.org/docs/Populate_Geometry_Columns.html>`_: s'assure que les colonnes gÃ©omÃ©triques on les contraintes spatiales appropriÃ©es et sont prÃ©sentes dans la table  geometry_columns.
+`Populate_Geometry_Columns <http://postgis.org/docs/Populate_Geometry_Columns.html>`_: s'assure que les colonnes gÃ©omÃ©triques on les contraintes spatiales appropriÃ©es et qu'elles sont prÃ©sentes dans la table  geometry_columns.
 
 `ST_Area <http://postgis.org/docs/ST_Area.html>`_: retourne l'aire de la surface si c'est un polygon ou un multi-polygone. Pour le type "geometry" l'aire est dans l'unitÃ© du SRID. Pour les "geography" l'aire est en mÃštres carrÃ©s.
@@ -346,11 +344,11 @@
 `ST_AsEWKT <http://postgis.org/docs/ST_AsEWKT.html>`_: retourne la reprÃ©sentation de la geometrie au format Well-Known Text (WKT) avec la mÃ©tadonnÃ©e SRID.
 
-`ST_AsGeoJSON <http://postgis.org/docs/ST_AsGeoJSON.html>`_: retourne la gÃ©omÃ©tries au format GeoJSON.
-
-`ST_AsGML <http://postgis.org/docs/ST_AsGML.html>`_: retourne la gÃ©omÃ©tries au format GML version 2 ou 3.
-
-`ST_AsKML <http://postgis.org/docs/ST_AsKML.html>`_: retourne la gÃ©omÃ©tries au format KML. Nombreuses variantes. Par dÃ©faut : version=2 et precision=15.
-
-`ST_AsSVG <http://postgis.org/docs/ST_AsSVG.html>`_: retourne la gÃ©omÃ©tries au format SVG.
+`ST_AsGeoJSON <http://postgis.org/docs/ST_AsGeoJSON.html>`_: retourne la gÃ©omÃ©trie au format GeoJSON.
+
+`ST_AsGML <http://postgis.org/docs/ST_AsGML.html>`_: retourne la gÃ©omÃ©trie au format GML version 2 ou 3.
+
+`ST_AsKML <http://postgis.org/docs/ST_AsKML.html>`_: retourne la gÃ©omÃ©trie au format KML. Nombreuses variantes. Par dÃ©faut : version=2 et precision=15.
+
+`ST_AsSVG <http://postgis.org/docs/ST_AsSVG.html>`_: retourne la gÃ©omÃ©trie au format SVG.
 
 `ST_ExteriorRing <http://postgis.org/docs/ST_ExteriorRing.html>`_: retourne une ligne reprÃ©sentant le contour extÃ©rieur du polygone. Retourne NULL si la gÃ©omÃ©trie n'est pas un polygone. Ne fonctionne pas avec les multi-polygone.
@@ -382,5 +380,5 @@
 `ST_Perimeter <http://postgis.org/docs/ST_Perimeter.html>`_: retourne la longueur du contours extÃ©rieur d'une valeur de type ST_Surface ou ST_MultiSurface (polygone, multi-polygone).
 
-`ST_SRID <http://postgis.org/docs/ST_SRID.html>`_: retourne l'identifiant du systÃšme de rÃ©fÃ©rences spatiales dÃ©finit dans la table spatial_ref_sys d'un objet de type ST_Geometry.
+`ST_SRID <http://postgis.org/docs/ST_SRID.html>`_: retourne l'identifiant du systÃšme de rÃ©fÃ©rence spatiale dÃ©finit dans la table spatial_ref_sys d'un objet de type ST_Geometry.
 
 `ST_StartPoint <http://postgis.org/docs/ST_StartPoint.html>`_: retourne le premier point d'une ligne.