Index: trunk/workshop-foss4g/introduction.rst
===================================================================
--- trunk/workshop-foss4g/introduction.rst	(revision 41)
+++ trunk/workshop-foss4g/introduction.rst	(revision 42)
@@ -7,5 +7,5 @@
 ============================================
 
-PostGIS est une base de donnÃ©es spatiale. Oracle Spatial et SQL Server 2008 sont aussi des bases de donnÃ©es spatiales. Mais qu'est-ce que cela signifie? Qu'est-ce qui diffÃ©rencie un serveur de base de donnÃ©es spatiales d'un non spatiale ?
+PostGIS est une base de donnÃ©es spatiale. Oracle Spatial et SQL Server 2008 sont aussi des bases de donnÃ©es spatiales. Mais qu'est-ce que cela signifie? Qu'est-ce qui diffÃ©rencie un serveur de base de donnÃ©es spatiales d'un serveur de base de donnÃ©es non spatiale ?
 
 La rÃ©ponse courte, est ...
@@ -25,11 +25,5 @@
 ----------------
 
-Dans les premiÃšres implÃ©mentations :term:`SIG`, toutes les donnÃ©es 
-spatiales Ã©taient stockÃ©es sous la forme de fichiers plats et certaines applications 
- :term:`SIG` spÃ©cifiques Ã©taient nÃ©cessaires les interprÃ©ter et les manipuler.
-Ces outils de gestion de premiÃšre gÃ©nÃ©ration avaient Ã©tÃ© conÃ§us pour rÃ©pondre aux 
-besoins des utilisateurs pour lesquels toute les donnÃ©es Ã©taient localisÃ©es au sein de leur
-agence. Ces outils propriÃ©tairse Ã©taient des systÃšmes specifiquement crÃ©Ã©s pour gÃ©rer les 
-donnÃ©es spatiales.
+Dans les premiÃšres implÃ©mentations :term:`SIG`, toutes les donnÃ©es spatiales Ã©taient stockÃ©es sous la forme de fichiers plats et certaines applications :term:`SIG` spÃ©cifiques Ã©taient nÃ©cessaires les interprÃ©ter et les manipuler. Ces outils de gestion de premiÃšre gÃ©nÃ©ration avaient Ã©tÃ© conÃ§us pour rÃ©pondre aux besoins des utilisateurs pour lesquels toute les donnÃ©es Ã©taient localisÃ©es au sein de leur agence. Ces outils propriÃ©taires Ã©taient des systÃšmes specifiquement crÃ©Ã©s pour gÃ©rer les donnÃ©es spatiales.
 
 La seconde gÃ©nÃ©ration des systÃšmes de gestion de donnÃ©es spatiales stockaient certaines donnÃ©es dans une base de donnÃ©es relationelle (habituellement les "attributs" ou autres parties non spatiales) mais ne founissaient pas encore la flÃ©xibilitÃ© offerte par une intÃ©gration complÃšte des donnÃ©es spatiales.
@@ -67,10 +61,10 @@
    :align: center
 
-Les Ã©tendues sont utilisÃ©es car rÃ©pondre Ã  la question : "est-ce que A se trouve Ã  'intÃ©rieur de B ? " est une opÃ©ration couteuse pour les polygones mais rapide dans le cas ou ce sont des rectangles. MÃªme des polgones et des lignes complex peuvent Ãªtre reprÃ©sentÃ© par une simple Ã©tendue.
-
-Les index spatiaux doivent rÃ©alisÃ© leur ordanencement rapidement afin d'Ãªtre utile. Donc au lien de fournir des rÃ©sultats extacts, comme le font les arbres binaires, les index spatiaux fournissent des rÃ©sultats approximatifs. La question "quelles lignes sont Ã  l'intÃ©rieur de ce polygone" sera interprÃ©tÃ© par un index spatial comme : "quelles lignes ont une Ã©tendue qui est contenue dans l'Ã©tendue de ce polygone ?"
+Les Ã©tendues sont utilisÃ©es car rÃ©pondre Ã  la question : "est-ce que A se trouve Ã  l'intÃ©rieur de B ? " est une opÃ©ration couteuse pour les polygones mais rapide dans le cas ou ce sont des rectangles. MÃªme des polygones et des lignes complexes peuvent Ãªtre reprÃ©sentÃ©s par une simple Ã©tendue.
+
+Les index spatiaux doivent rÃ©aliser leur ordanencement rapidement afin d'Ãªtre utiles. Donc au lien de fournir des rÃ©sultats exacts, comme le font les arbres binaires, les index spatiaux fournissent des rÃ©sultats approximatifs. La question "quelles lignes sont Ã  l'intÃ©rieur de ce polygone" sera interprÃ©tÃ©e par un index spatial comme : "quelles lignes ont une Ã©tendue qui est contenue dans l'Ã©tendue de ce polygone ?"
 
 Les incrÃ©ments spatiaux rÃ©els mis en application par diverses bases de donnÃ©es varient considÃ©rablement.
-Les index spatiaux actuellement utilisÃ©s par les diffÃ©rents systÃšmes de gestion de bases de donnÃ©es varient considÃ©rablement. L'implÃ©mentation la plus commune est l'`arbre R <http://en.wikipedia.org/wiki/R-tree>`_ (utilisÃ© dans PostGIS), mais il existe aussi des implÃ©mentations de type `Quadtrees <http://en.wikipedia.org/wiki/Quadtree>`_, et des `indexes basÃ©s sur une grille <http://en.wikipedia.org/wiki/Grid_(spatial_index)>`_.
+Les index spatiaux actuellement utilisÃ©s par les diffÃ©rents systÃšmes de gestion de bases de donnÃ©es varient aussi considÃ©rablement. L'implÃ©mentation la plus commune est l'`arbre R <http://en.wikipedia.org/wiki/R-tree>`_ (utilisÃ© dans PostGIS), mais il existe aussi des implÃ©mentations de type `Quadtrees <http://en.wikipedia.org/wiki/Quadtree>`_, et des `indexes basÃ©s sur une grille <http://en.wikipedia.org/wiki/Grid_(spatial_index)>`_.
 
 Les Fonctions spatiales
@@ -119,10 +113,10 @@
 Tout ceci combinÃ©, PostgreSQL permet un cheminement simple du dÃ©veloppement nÃ©cessaire Ã  l'ajout des types spatiaux. Dans le monde propriÃ©taire, seul Illustra (maintenant Informix Universal Server) permet une extension aussi simple. Ceci n'est pas une coincidence, Illustra est une version propriÃ©taire modifiÃ©e du code original de PostgreSQL publiÃ© dans les annÃ©es 1980. 
 
-Puisque le cheminement du dÃ©veloppement nÃ©cessaire Ã  l'ajout de types Ã  PostgreSQL est direct, il semblÃ© naturel de commencer par lÃ . Lorsque MySQL a publiÃ© des types de donnÃ©es spatiales de base dans sa version 4.1, l'Ã©quipe de PostGIS a jettÃ© un coup d'oeil dans leur code source et cela a confirmÃ© le choix initial d'utiliser PostgreSQL. Puisque les objets gÃ©ographiques de MySQL doivent Ãªtre considÃ©rÃ©s comme un cas particulier de chaÃ®nes de caractÃšres, le code de MySQL a Ã©tÃ© diffus dans l'intÃ©gralitÃ© du code de base. Le dÃ©veloppement de PostGIS version 0.1 a pris un mois. RÃ©aliser un projet "MyGIS" 0.1 aurait pris beaucoup plus de temps, c'est sans doute pourquoi il n'a jamais vu le jour.
+Puisque le cheminement du dÃ©veloppement nÃ©cessaire Ã  l'ajout de types Ã  PostgreSQL est direct, il semblait naturel de commencer par lÃ . Lorsque MySQL a publiÃ© des types de donnÃ©es spatiales de base dans sa version 4.1, l'Ã©quipe de PostGIS a jettÃ© un coup d'oeil dans leur code source et cela a confirmÃ© le choix initial d'utiliser PostgreSQL. Puisque les objets gÃ©ographiques de MySQL doivent Ãªtre considÃ©rÃ©s comme un cas particulier de chaÃ®nes de caractÃšres, le code de MySQL a Ã©tÃ© diffus dans l'intÃ©gralitÃ© du code de base. Le dÃ©veloppement de PostGIS version 0.1 a pris un mois. RÃ©aliser un projet "MyGIS" 0.1 aurait pris beaucoup plus de temps, c'est sans doute pourquoi il n'a jamais vu le jour.
 
 Pourquoi pas des fichiers Shapefile ?
 ------------------------------------
 
-Les fichiers `shapefile <http://en.wikipedia.org/wiki/Shapefile>`_ (et les autres formats) ont Ã©tÃ© la maniÃšre standard de stockuer et d'interragir avec les donnÃ©es spatiales depuis l'origine des SIG. NÃ©anmoins, ces fichiers "plats" ont les inconvÃ©nients suivants :
+Les fichiers `shapefile <http://en.wikipedia.org/wiki/Shapefile>`_ (et les autres formats) ont Ã©tÃ© la maniÃšre standard de stocker et d'interragir avec les donnÃ©es spatiales depuis l'origine des SIG. NÃ©anmoins, ces fichiers "plats" ont les inconvÃ©nients suivants :
 
 * **Les fichier au formats SIG requiÃšrent un logiciel spÃ©cifique pour les lire et les Ã©crire.**  Le langage SQL est une abstraction de l'accÃšs allÃ©atoire au donnÃ©es et Ã  leur analyse. Sans cette abstraction, vous devrez dÃ©velopper l'accÃšs et l'anayse par vos propre moyens.
Index: trunk/workshop-foss4g/conf.py
===================================================================
--- trunk/workshop-foss4g/conf.py	(revision 41)
+++ trunk/workshop-foss4g/conf.py	(revision 42)
@@ -33,5 +33,5 @@
 
 # General substitutions.
-project = u'Introduction to PostGIS'
+project = u'Introduction Ã  PostGIS'
 copyright = u'2010, Paul Ramsey, OpenGeo | Mark Leslie, LISAsoft'
 
Index: trunk/workshop-foss4g/welcome.rst
===================================================================
--- trunk/workshop-foss4g/welcome.rst	(revision 41)
+++ trunk/workshop-foss4g/welcome.rst	(revision 42)
@@ -28,5 +28,5 @@
    SELECT postgis_full_version();
 
-Cette exemple peut Ãªtre saisi dans la fenÃªtre de requÃªtage ou depuis l'interface en ligne de commande.
+Cet exemple peut Ãªtre saisi dans la fenÃªtre de requÃªtage ou depuis l'interface en ligne de commande.
 
 Notes
@@ -46,29 +46,28 @@
 Par exemple:
 
-   :command:`ST_Touches(geometry A, geometry B)` retourne vrai si un des contours des gÃ©omÃ©tries s'interectent
+   :command:`ST_Touches(geometry A, geometry B)` retourne vrai si un des contours des gÃ©omÃ©tries s'intersectent
 
 Fichiers, Tables et nom de colonne
 ----------------------------------
 
-Les nom de fichier, les chemin, le noms de tables et les noms de colones seront affichÃ© comme suit
+Les nom de fichier, les chemins, le noms de tables et les noms de colones seront affichÃ© comme suit
 
    Select the ``name`` column in the ``nyc_streets`` table.
 
-Menus and Form elements
+Menus et formulaires
 -----------------------
 
-Les menus et les Ã©lÃ©ments de formulaire comme les champs ou les boÃ®te Ã  cocher ainsi 
-que les autre objets affichÃ©s en *italique*.
+Les menus et les Ã©lÃ©ments de formulaire comme les champs ou les boÃ®tes Ã  cocher ainsi 
+que les autre objets sont affichÃ©s en *italique*.
 
-For example:
+Par exemple:
 
   Cliquez sur *Fichier > Nouveau*.  Cochez la case qui contient *Confirmer*.
 
-Workflow
---------
+Organisation
+------------
 
 Les diffÃ©rentes sections de ce document permettent d'Ã©voluer progressivement. Chaque 
-section suppose que vous avez terminÃ© et compris les section prÃ©cÃ©dente et se base sur
-cette connaissance. 
+section suppose que vous avez terminÃ© et compris les sections prÃ©cÃ©dentes
 
-Sections are designed to be progressive.  Each section will start with the assumption that you have completed and understood the previous section in the series and will build on that knowledge.  A single section will progress through a handful of ideas and provide working examples wherever possible.  At the end of a section, where appropriate, we have included a handful of exercises to allow you to try out the ideas we've presented.  In some cases the section will include "Things To Try".  These tasks contain more complex problems than the exercises and is designed to challenge participants with advanced knowledge.
+Certaines sections fournissent des exemples fonctionnels aisni que des exercices. Dans certains cas, il y'a aussi des sections "Les choses Ã  essayer" pour les curieux. Ces tÃ¢ches contiennent des problÃšmes plus complexes que dans les exercices.