Index: /trunk/workshop-foss4g/introduction.rst
===================================================================
--- /trunk/workshop-foss4g/introduction.rst	(revision 44)
+++ /trunk/workshop-foss4g/introduction.rst	(revision 45)
@@ -25,5 +25,5 @@
 ----------------
 
-Dans les premiÃšres implÃ©mentations :term:`SIG`, toutes les donnÃ©es spatiales Ã©taient stockÃ©es sous la forme de fichiers plats et certaines applications :term:`SIG` spÃ©cifiques Ã©taient nÃ©cessaires les interprÃ©ter et les manipuler. Ces outils de gestion de premiÃšre gÃ©nÃ©ration avaient Ã©tÃ© conÃ§us pour rÃ©pondre aux besoins des utilisateurs pour lesquels toute les donnÃ©es Ã©taient localisÃ©es au sein de leur agence. Ces outils propriÃ©taires Ã©taient des systÃšmes specifiquement crÃ©Ã©s pour gÃ©rer les donnÃ©es spatiales.
+Dans les premiÃšres implÃ©mentations :term:`SIG`, toutes les donnÃ©es spatiales Ã©taient stockÃ©es sous la forme de fichiers plats et certaines applications :term:`SIG` spÃ©cifiques Ã©taient nÃ©cessaires pour les interprÃ©ter et les manipuler. Ces outils de gestion de premiÃšre gÃ©nÃ©ration avaient Ã©tÃ© conÃ§us pour rÃ©pondre aux besoins des utilisateurs pour lesquels toute les donnÃ©es Ã©taient localisÃ©es au sein de leur agence. Ces outils propriÃ©taires Ã©taient des systÃšmes specifiquement crÃ©Ã©s pour gÃ©rer les donnÃ©es spatiales.
 
 La seconde gÃ©nÃ©ration des systÃšmes de gestion de donnÃ©es spatiales stockaient certaines donnÃ©es dans une base de donnÃ©es relationelle (habituellement les "attributs" ou autres parties non spatiales) mais ne founissaient pas encore la flÃ©xibilitÃ© offerte par une intÃ©gration complÃšte des donnÃ©es spatiales.
@@ -35,5 +35,5 @@
 .. image:: ./introduction/beginning.png
 
-.. note:: Un systÃšme de gestion de base de donnÃ©es peut Ãªtre utilisÃ© dans d'autre cadre que celui des SIG. Les bases de donnÃ©es spatiales sont utilisÃ©es dans divers domaines : l'anatomie humaine, les circuits intÃ©grÃ©s de grandes envergures, les structures molÃ©culaires, les champs electro-magnÃ©tiques et bien d'autre encore.
+.. note:: Un systÃšme de gestion de base de donnÃ©es peut Ãªtre utilisÃ© dans d'autres cadres que celui des SIG. Les bases de donnÃ©es spatiales sont utilisÃ©es dans divers domaines : l'anatomie humaine, les circuits intÃ©grÃ©s de grandes envergures, les structures molÃ©culaires, les champs electro-magnÃ©tiques et bien d'autre encore.
 
 
@@ -63,5 +63,5 @@
 Les Ã©tendues sont utilisÃ©es car rÃ©pondre Ã  la question : "est-ce que A se trouve Ã  l'intÃ©rieur de B ? " est une opÃ©ration couteuse pour les polygones mais rapide dans le cas ou ce sont des rectangles. MÃªme des polygones et des lignes complexes peuvent Ãªtre reprÃ©sentÃ©s par une simple Ã©tendue.
 
-Les index spatiaux doivent rÃ©aliser leur ordanencement rapidement afin d'Ãªtre utiles. Donc au lien de fournir des rÃ©sultats exacts, comme le font les arbres binaires, les index spatiaux fournissent des rÃ©sultats approximatifs. La question "quelles lignes sont Ã  l'intÃ©rieur de ce polygone" sera interprÃ©tÃ©e par un index spatial comme : "quelles lignes ont une Ã©tendue qui est contenue dans l'Ã©tendue de ce polygone ?"
+Les index spatiaux doivent rÃ©aliser leur ordonnancement rapidement afin d'Ãªtre utiles. Donc au lieu de fournir des rÃ©sultats exacts, comme le font les arbres binaires, les index spatiaux fournissent des rÃ©sultats approximatifs. La question "quelles lignes sont Ã  l'intÃ©rieur de ce polygone" sera interprÃ©tÃ©e par un index spatial comme : "quelles lignes ont une Ã©tendue qui est contenue dans l'Ã©tendue de ce polygone ?"
 
 Les incrÃ©ments spatiaux rÃ©els mis en application par diverses bases de donnÃ©es varient considÃ©rablement.
@@ -161,5 +161,5 @@
 GlobeXplorer est un service web fournissant un accÃšs en ligne Ã  une imagerie satellite et photos aÃ©riennes de plusieures petabytes. GlobeXplorer utilise PostGIS pour gÃ©rer les mÃ©tadonnÃ©es associÃ©es avec le catalogue d'images. Les requÃªtes pour accÃ©der aux images recherchent d'abord dans le catalogue PostGIS pour rÃ©cupÃ©rer la localisation des images demandÃ©es, puis rÃ©cupÃšrent ces images et les retournent au client. Lors du proeccessus de mise en place de leur systÃšme, GlobeXplorer a essayÃ© d'autre systÃšme de base de donnÃ©es spatiales mais a conserver PostGIS Ã  cause de la combinaison du prix et de la performance qu'il offre.
 
-Quest-ce qu'un application qui supporte PostGIS ?
+Quest-ce qu'une application qui supporte PostGIS ?
 -------------------------------------------------
 
Index: /trunk/workshop-foss4g/loading_data.rst
===================================================================
--- /trunk/workshop-foss4g/loading_data.rst	(revision 44)
+++ /trunk/workshop-foss4g/loading_data.rst	(revision 45)
@@ -4,5 +4,5 @@
 =========================================
 
-SupportÃ© dans une grande variÃ©tÃ© de librairies et d'applications, PostGIS fournit de nombreux outils pour charger des donnÃ©es. Cette partie traitera uniquement du chargement basic de donnÃ©es, c'est Ã  dire le chargement de fichiers Shapefile en utilisant l'outil dÃ©diÃ© de PostGIS.
+SupportÃ© par une grande variÃ©tÃ© de librairies et d'applications, PostGIS fournit de nombreux outils pour charger des donnÃ©es. Cette partie traitera uniquement du chargement basique de donnÃ©es, c'est Ã  dire le chargement de fichiers Shapefile (.shp) en utilisant l'outil dÃ©diÃ© de PostGIS.
 
 #. PremiÃšrement, retournez sur le Dashboard et cliquez sur le lien **Import shapefiles** de la section PostGIS. L'interface d'import de donnÃ©es Shapefile pgShapeLoader se lance.
@@ -146,5 +146,5 @@
 ------------------------------------------------------
 
-`uDig <http://udig.refractions.org>`_, (User-friendly Desktop Internet GIS), est outils bureautique de visualisation/edition SIG permettant de visualiser rapidement se donnÃ©es. Vous pouvez visualiser un grand nombre de formats de donnÃ©es diffÃ©rents dont les Shapefiles et les bases de donnÃ©es PostGIS. Son interface graphique vous permet d'explorer vos donnÃ©es facilement mais aussi de les tester et les styler rapidement.
+`uDig <http://udig.refractions.org>`_, (User-friendly Desktop Internet GIS) est un outil bureautique de visualisation/edition SIG permettant de visualiser rapidement se donnÃ©es. Vous pouvez visualiser un grand nombre de formats diffÃ©rents dont les Shapefiles et les bases de donnÃ©es PostGIS. Son interface graphique vous permet d'explorer vos donnÃ©es facilement mais aussi de les tester et les styler rapidement.
 
 Utilisez cette application pour vous connecter Ã  votre base de donnÃ©es PostGIS. L'application est contenu dans le rÃ©pertoire ``software``.
Index: /trunk/workshop-foss4g/simple_sql.rst
===================================================================
--- /trunk/workshop-foss4g/simple_sql.rst	(revision 44)
+++ /trunk/workshop-foss4g/simple_sql.rst	(revision 45)
@@ -4,5 +4,5 @@
 ===============================
 
-:term:`SQL`, pour "Structured Query Language", dÃ©finit la maniÃšre d'interroger et de mettre des donnÃ©es dans une base. Vous avez dÃ©jÃ  rÃ©digÃ© du SQL lorsque nous avons crÃ©er notre premiÃšre base de donnÃ©es.  Rappel:
+:term:`SQL`, pour "Structured Query Language", dÃ©finit la maniÃšre d'importer et d'interroger des donnÃ©es dans une base. Vous avez dÃ©jÃ  rÃ©digÃ© du SQL lorsque nous avons crÃ©er notre premiÃšre base de donnÃ©es.  Rappel:
 
 .. code-block:: sql
@@ -12,5 +12,5 @@
 Maintenant que nous avons charger des donnÃ©es dans notre base, essayons d'utiliser SQL pour les interroger. Par exemple,
 
-  "Quel sont les noms des quartier de la ville de New York ?"
+  "Quel sont les noms des quartiers de la ville de New York ?"
   
 Ouvrez une fenÃªtre SQL depuis pgAdmin en cliquant sur le bouton SQL
@@ -32,10 +32,10 @@
 .. image:: ./screenshots/pgadmin_09.png  
 
-Mais que c'est-il exactement passÃ© ici ? Pour le comprendre, commenÃ§ons par prÃ©senter les quatre type de requÃªtes du SQL :
+Mais que c'est-il exactement passÃ© ici ? Pour le comprendre, commenÃ§ons par prÃ©senter les quatre types de requÃªtes du SQL :
 
  * ``SELECT``, retourne des lignes en rÃ©ponse Ã  une requÃªte
  * ``INSERT``, ajoute des lignes dans une table
- * ``UPDATE``, modifit des lignes existantes d'une table
- * ``DELETE``, supprimer des lignes d'une table
+ * ``UPDATE``, modifie des lignes existantes d'une table
+ * ``DELETE``, supprime des lignes d'une table
  
 Nous travaillerons principalement avec des requÃªtes de type ``SELECT``afin d'interroger les tables en utilisant des fonctions spatiales.
@@ -53,7 +53,7 @@
     
 
-Les ``colonnes`` sont soit des noms de colonnes soit des fonctions utilisant les valeurs des colonnes. Les ``donnÃ©es`` sont soit une table seule, soit plusieures tables reliÃ©es ensemble en rÃ©alisant une jointure sur une clef ou une autre condition. Les ``conditions`` reprÃ©sentent le filtre qui restreint le nombre de lignes a retourner.
+Les ``colonnes`` sont soit des noms de colonnes, soit des fonctions utilisant les valeurs des colonnes. Les ``donnÃ©es`` sont soit une table seule, soit plusieures tables reliÃ©es ensemble en rÃ©alisant une jointure sur une clef ou une autre condition. Les ``conditions`` reprÃ©sentent le filtre qui restreint le nombre de lignes Ã  retourner.
 
-  "Quel sont les noms des quartier de Brooklyn ?"
+  "Quel sont les noms des quartiers de Brooklyn ?"
 
 Nous retournons Ã  notre table ``nyc_neighborhoods`` avec le filtre en main. La table contient tout les quartiers de New York et nous voulons uniquement ceux de Brooklyn.
@@ -69,5 +69,5 @@
 Parfois nous aurons besoin d'appliquer des fonctions sur le rÃ©sultats d'une de nos requÃªtes. Par exemple,
 
-  "Quel est le nombre de lettres dans les noms des quarties de Brooklyn ?"
+  "Quel est le nombre de lettres dans les noms des quartiers de Brooklyn ?"
   
 Heureusement PostgreSQL fournit une fonction calculant la longueur d'une chaÃ®ne de caractÃšres : :command:`char_length(string)`.
@@ -79,5 +79,5 @@
     WHERE boroname = 'Brooklyn';
 
-Bien souvent nous sommes moins interressÃ©s par une ligne particuliÃšre mais plus par un calcul statistique sur l'ensemble rÃ©sultant. Donc connaitre la longueur des noms de quartiers est moins interressant que de calculer la moyenne des ces longueurs. Les fonctions qui renvoit un rÃ©sultat unique en utilisant un ensemble de valeurs sont appelÃ©e des "fonctions d'aggrÃ©gations".
+Bien souvent nous sommes moins interressÃ©s par une ligne particuliÃšre mais plus par un calcul statistique sur l'ensemble rÃ©sultant. Donc, connaitre la longueur des noms de quartiers est moins interressant que de calculer la moyenne des ces longueurs. Les fonctions qui renvoit un rÃ©sultat unique en utilisant un ensemble de valeurs sont appelÃ©e des "fonctions d'aggrÃ©gations".
 
 PostgreSQL fournit un ensemble de fonctions d'aggrÃ©gations, parmis lesquelles :command:`avg()` pour calculer la moyenne, and :command:`stddev()` pour l'Ã©cart type.
Index: /trunk/workshop-foss4g/creating_db.rst
===================================================================
--- /trunk/workshop-foss4g/creating_db.rst	(revision 44)
+++ /trunk/workshop-foss4g/creating_db.rst	(revision 45)
@@ -81,5 +81,5 @@
    .. note::
    
-      C'est notre premiÃšre requpete SQL.  ``postgis_full_version()`` est une fonction d'administration qui renvoit le numÃ©ro de version et les options de configuration utilisÃ©es lors de la compilation. 
+      C'est notre premiÃšre requÃªte SQL.  ``postgis_full_version()`` est une fonction d'administration qui renvoit le numÃ©ro de version et les options de configuration utilisÃ©es lors de la compilation. 
       
 #. Cliquez sur le bouton **Play** dans la barre d'outils (ou utilisez la touche **F5**) pour  "exÃ©cuter la requÃªte." La requÃªte retournera la chaÃ®ne de caractÃšres suivante, confirmant que PostGIS est correctement activÃ© dans la base de donnÃ©es.
Index: /trunk/workshop-foss4g/about_data.rst
===================================================================
--- /trunk/workshop-foss4g/about_data.rst	(revision 44)
+++ /trunk/workshop-foss4g/about_data.rst	(revision 45)
@@ -4,5 +4,5 @@
 ==================================
 
-Les donnÃ©es utilisÃ©es dans ces travaux proatiques sont quatre shapefiles de la ville de New York, et une table attributaire des variables socio-dÃ©mographiques. Nous les avons charger sous forme de tables PostGIS et nous ajouterons les donnÃ©es  socio-dÃ©mographiques plus tard.
+Les donnÃ©es utilisÃ©es dans ces travaux pratiques sont quatre shapefiles de la ville de New York, et une table attributaire des variables socio-dÃ©mographiques de la ville. Nous les avons charger sous forme de tables PostGIS et nous ajouterons les donnÃ©es  socio-dÃ©mographiques plus tard.
 
 Cette partie fournit le nombre d'enregistrements et les attributs de chacun de nos ensembles de donnÃ©es. Ces valeurs attributaires et les relations sont essentielles pour nos futures analyses.
@@ -41,5 +41,5 @@
      - Nombre de locataires occupant le bloc
    * - **boroname**
-     - Nom du quartier. Manhattan, The Bronx, Brooklyn, Staten Island, Queens
+     - Nom du quartier (Manhattan, The Bronx, Brooklyn, Staten Island, Queens)
    * - **the_geom**
      - Polygone reprÃ©sentant les contours d'un bloc
@@ -51,5 +51,5 @@
 .. note:: 
 
-    Pour obtenir les donnÃ©es d'un recenssement dans votre SIG, vous avez besoin de joindre deux informations: Les donnÃ©es socio-dÃ©mographiques et les limites gÃ©ographiques des blocs/quartiers. Il existe plusieurs moyen de se les procurer, dans notre cas elles ont Ã©tÃ© rÃ©cupÃ©rÃ©es sur le site Internet du Census Bureau's `American FactFinder <http://factfinder.census.gov>`_. 
+    Pour disposer des donnÃ©es d'un recensement dans votre SIG, vous avez besoin de joindre deux informations: Les donnÃ©es socio-dÃ©mographiques et les limites gÃ©ographiques des blocs/quartiers. Il existe plusieurs moyen de se les procurer, dans notre cas elles ont Ã©tÃ© rÃ©cupÃ©rÃ©es sur le site Internet du Census Bureau's `American FactFinder <http://factfinder.census.gov>`_. 
     
 nyc_neighborhoods