Index: trunk/workshop-foss4g/projection.rst
===================================================================
--- trunk/workshop-foss4g/projection.rst	(revision 27)
+++ trunk/workshop-foss4g/projection.rst	(revision 47)
@@ -4,7 +4,7 @@
 ===================================
 
-La Terre n'est pas plÃ¢te et il n'y a pas de moyen simple de la poser Ã  plat sur une carte en papier (ou l'Ã©cran d'un ordinateur), donc les gens en sont  arriver Ã  fournir des solutions ingÃ©nieuses, chacunes avec des bons et des mauvais cotÃ©s. Certaines projections prÃ©servent les aires, donc tout les objets ont des tailles relatives aux autres, d'autre projections conservent les angles (conformes) comme la projection Mercator, certaines projections tentent de minimiser la distorsion des diffÃ©rents paramÃštres. Le point commun entre toutes les projections est qu'elles transforment le monde (sphÃ©rique) en un systÃšme plat de coordonnÃ©es cartÃ©siennes, et le choix de la projection dÃ©pend de ce que vous souhaitez faire avec vos donnÃ©es.
+La Terre n'est pas plate et il n'y a pas de moyen simple de la poser Ã  plat sur une carte en papier (ou l'Ã©cran d'un ordinateur). Certaines projections prÃ©servent les aires, donc tout les objets ont des tailles relatives aux autres, d'autre projections conservent les angles (conformes) comme la projection Mercator. Certaines projections tentent de minimiser la distorsion des diffÃ©rents paramÃštres. Le point commun entre toutes les projections est qu'elles transforment le monde (sphÃ©rique) en un systÃšme plat de coordonnÃ©es cartÃ©siennes, et le choix de la projection dÃ©pend de ce que vous souhaitez faire avec vos donnÃ©es.
 
-Nous avonsdÃ©jÃ  recontrer des projections, lorsque nous avons charger les donnÃ©es` de la ville de Ney York <loading_data>`.Rappelez-vous qu'elles utilisaient le SRID 26918. Parfois, malgrÃšs tout, vous aurez besoin de transformer et de reprojeter vos donnÃ©es d'un systÃšme de projection Ã  l'autre, en utilisant la fonction  :command:`ST_Transform(geometry, srid)`. Pour manipuler les identifiant de systÃšmes de rÃ©fÃ©rences spatiales Ã  partir d'une gÃ©omÃ©trie, PostGIS fournit les fonctions :command:`ST_SRID(geometry)` et :command:`ST_SetSRID(geometry, srid)`.
+Nous avons dÃ©jÃ  recontrer des projections, lorsque nous avons charger les donnÃ©es de la ville de Ney York .Rappelez-vous qu'elles utilisaient le SRID 26918. Parfois, vous aurez malgrÃ© tout besoin de transformer et de reprojeter vos donnÃ©es d'un systÃšme de projection Ã  un autre, en utilisant la fonction  :command:`ST_Transform(geometry, srid)`. Pour manipuler les identifiant de systÃšmes de rÃ©fÃ©rences spatiales Ã  partir d'une gÃ©omÃ©trie, PostGIS fournit les fonctions :command:`ST_SRID(geometry)` et :command:`ST_SetSRID(geometry, srid)`.
 
 Nous pouvons vÃ©rifier le SRID de nos donnÃ©es avec la commande :command:`ST_SRID` :
@@ -18,5 +18,6 @@
   26918
   
-Et quelle est la dÃ©finition du "26918" ? Comme nous l'avons vu lors de la partie ":ref:`chargement des donnÃ©es  <loading_data>`", la dÃ©finition se trouve dans la table ``spatial_ref_sys``. En fait, **deux** dÃ©finitions sont prÃ©sentes. La dÃ©finition au fromat :term:`WKT` dans la colonne ``srtext`` et il y a aussu une seconde dÃ©finition correspondant au 
+Et quelle est la dÃ©finition du "26918" ? Comme nous l'avons vu lors de la partie ":ref:`chargement des donnÃ©es`", la dÃ©finition se trouve dans la table ``spatial_ref_sys``. En fait, **deux** dÃ©finitions sont prÃ©sentes. La dÃ©finition au format :term:`WKT` dans la colonne ``srtext``
+
 .. code-block:: sql
 
@@ -33,12 +34,12 @@
   +proj=utm +zone=18 +ellps=GRS80 +datum=NAD83 +units=m +no_defs 
   
-En pratique, Ã  les deux colonnes ``srtext`` et ``proj4text`` sont importantes : la colonne ``srtext`` est utilisÃ©e par les applications externes comme `GeoServer <http://geoserver.org>`_, uDig <udig.refractions.net>`_, `FME <http://www.safe.com/>`_  et les autres alors que la colonne ``proj4text`` est principalement utilisÃ©e en interne.
+En pratique, les deux colonnes ``srtext`` et ``proj4text`` sont importantes : la colonne ``srtext`` est utilisÃ©e par les applications externes comme `GeoServer <http://geoserver.org>`_, uDig <udig.refractions.net>`_, `FME <http://www.safe.com/>`_  et autres, alors que la colonne ``proj4text`` est principalement utilisÃ©e par PostGIS en interne.
 
 Comparaison de donnÃ©es
 ----------------------
 
-CombinÃ©, une coordonnÃ©e et un SRID dÃ©finissent une position sur le globe. Sans le SRID, une coordonnÃ©e est juste une notion abstraite. Un systÃšme de coordonnÃ©es "cartÃ©siennes" est dÃ©finit comme un systÃšme de coordonnÃ©es "plat" sur la surface de la Terre. Puisque les fonctions de PostGIS utilisent cette surface plane, les opÃ©rations de comparaison nÃ©cessitent que l'ensemble des objets gÃ©omÃ©triques soient reprÃ©sentÃ© dans le mÃªme systÃšme, ayant le mÃªme SRID.
+CombinÃ©s, une coordonnÃ©e et un SRID dÃ©finissent une position sur le globe. Sans le SRID, une coordonnÃ©e est juste une notion abstraite. Un systÃšme de coordonnÃ©es "cartÃ©siennes" est dÃ©finit comme un systÃšme de coordonnÃ©es "plat" sur la surface de la Terre. Puisque les fonctions de PostGIS utilisent cette surface plane, les opÃ©rations de comparaison nÃ©cessitent que l'ensemble des objets gÃ©omÃ©triques soient reprÃ©sentÃ©s dans le mÃªme systÃšme, ayant le mÃªme SRID.
 
-Si vous utilisÃ© des gÃ©omÃ©tries avec diffÃ©rents SRID vous obtiendrez une erreur du genre :
+Si vous utilisÃ© des gÃ©omÃ©tries avec diffÃ©rents SRID vous obtiendrez une erreur comme celle-ci :
 
 .. code-block:: sql
@@ -57,5 +58,5 @@
 .. note::
 
-   Faites attention de pas utiliser la transformation Ã  la volÃ©e Ã  l'aide de :command:`ST_Transform` trpop souvent. Les indexes spatiaux sont construits en utilisant le SRID inclu dans les gÃ©omÃ©tries. Si la comparaison est faite avec un SRID diffÃ©rent, les indexes spatiaux ne seront pas (la plupart du temps) utilisÃ©s. Il est reconnu qu'il vaut mieux choisir **un SRID** pour toutes les tables de votre base de donnÃ©es. N'utilisez la fonction de tranformation que lorsque vous lisez ou Ã©crivez les donnÃ©es depuis une applications externe.
+   Faites attention de pas utiliser la transformation Ã  la volÃ©e Ã  l'aide de :command:`ST_Transform` trop souvent. Les indexes spatiaux sont construits en utilisant le SRID inclu dans les gÃ©omÃ©tries. Si la comparaison est faite avec un SRID diffÃ©rent, les indexes spatiaux ne seront pas (la plupart du temps) utilisÃ©s. Il est reconnu qu'il vaut mieux choisir **un SRID** pour toutes les tables de votre base de donnÃ©es. N'utilisez la fonction de tranformation que lorsque vous lisez ou Ã©crivez les donnÃ©es depuis une application externe.
 
 
@@ -63,5 +64,5 @@
 -----------------------
 
-Si vous retournez Ã  la dÃ©finition au format proj4 du SRID 26918, vous pouvez voir que notre projectioin actuelle est de type UTM zone 18 (Universal Transvers Mercator), avec comme unitÃ© de mesure le mÃštre.
+Si vous retournez Ã  la dÃ©finition au format proj4 du SRID 26918, vous pouvez voir que notre projectioin actuelle est de type UTM zone 18 (Universal Transvers Mercator), avec le mÃštre comme unitÃ© de mesure.
 
 ::
@@ -69,7 +70,7 @@
    +proj=utm +zone=18 +ellps=GRS80 +datum=NAD83 +units=m +no_defs 
 
-Essayons de convertir certaines donnÃ©es de notre systÃšme de projection dans un systÃšme de coordonnÃ©es gÃ©ographiques, aussi connu comme "longitude/latitude".
+Essayons de convertir certaines donnÃ©es de notre systÃšme de projection dans un systÃšme de coordonnÃ©es gÃ©ographiques connu comme "longitude/latitude".
 
-Pour convertir les donnÃ©es d'un SRID Ã  l'autre, nous devons dans un premier temps vÃ©rifier que nos gÃ©omÃ©tries ont un SRID valide. une fois que nous avons vÃ©rifiÃ© ceci, nous devons ensuite trouver le SRID dans le lequel nous souhaitons re-projeter. En d'autre terme, quel est le SRID des coordonnÃ©es gÃ©ographiques ?
+Pour convertir les donnÃ©es d'un SRID Ã  l'autre, nous devons dans un premier temps vÃ©rifier que nos gÃ©omÃ©tries ont un SRID valide. une fois que nous avons vÃ©rifiÃ© cela, nous devons ensuite trouver le SRID dans le lequel nous souhaitons re-projeter. En d'autre terme, quel est le SRID des coordonnÃ©es gÃ©ographiques ?
 
 Le SRID le plus connu pour les coordonnÃ©es gÃ©ographiques est le 4326, qui correspond au couple "longitude/latitude sur la sphÃ©roÃ¯de WGS84". Vous pouvez voir sa dÃ©finition sur le site spatialreference.org.
@@ -105,5 +106,5 @@
   POINT(-74.0106714688735 40.7071048155841)
 
-Si vous chargez les donnÃ©es ou crÃ©Ã©ez une nouvelle gÃ©omÃ©trie sans spÃ©cifier un SRID, la valeur du SRID prendra alors la valeur -1. Rapellez-vous que dans les :ref:`geometries`, lorsque nous avons crÃ©Ã© nos tables gÃ©omÃ©triques nous n'avions pas spÃ©cifiÃ© un SRID. Si nous interrogeons la base, nous devons nous attendre Ã  ce que toutes les tables prÃ©fixÃ©es par ``nyc_`` aient le SRID 26918, alors que la table ``geometries`` aura la valeur -1 par dÃ©faut.
+Si vous chargez les donnÃ©es ou crÃ©ez une nouvelle gÃ©omÃ©trie sans spÃ©cifier de SRID, la valeur du SRID prendra alors la valeur -1. Rapellez-vous que dans les :ref:`geometries`, lorsque nous avons crÃ©Ã© nos tables gÃ©omÃ©triques nous n'avions pas spÃ©cifiÃ© un SRID. Si nous interrogeons la base, nous devons nous attendre Ã  ce que toutes les tables prÃ©fixÃ©es par ``nyc_`` aient le SRID 26918, alors que la table ``geometries`` aura la valeur -1 par dÃ©faut.
 
 Pour visualiser la table d'assignation des SRID, interroger la table ``geometry_columns`` de la base de donnÃ©es.
@@ -125,5 +126,5 @@
 
   
-Neanmoins, si vous connaissez quel est le SRID de vos donnÃ©es, vous pouvez l'affecter par la suite, en utilisant la fonction :command:`ST_SetSRID` sur les gÃ©omÃ©tries. Ensuite vous pourrez les tranformer dans d'autres systÃšmes de projections.
+NÃ©anmoins, si vous connaissez le SRID de vos donnÃ©es, vous pouvez l'affecter par la suite en utilisant la fonction :command:`ST_SetSRID` sur les gÃ©omÃ©tries. Ensuite vous pourrez les tranformer dans d'autres systÃšmes de projections.
 
 .. code-block:: sql