Index: trunk/workshop-foss4g/geography.rst
===================================================================
--- trunk/workshop-foss4g/geography.rst	(revision 1)
+++ trunk/workshop-foss4g/geography.rst	(revision 48)
@@ -1,21 +1,23 @@
 .. _geography:
 
-Section 17: Geography
-=====================
-
-It is very common to have data in which the coordinate are "geographics" or "latitude/longitude". 
-
-Unlike coordinates in Mercator, UTM, or Stateplane, geographic coordinates are **not cartesian coordinates**. Geographic coordinates do not represent a linear distance from an origin as plotted on a plane. Rather, these **spherical coordinates** describe the angular distance between the equator and the poles. In spherical coordinates a point is specified by the distance from the origin (the radius), the angle of rotation from the initial meridian plane, and the angle from the polar axis (analogous to a vector from the origin through the North Pole).
+Section 17: CoordonnÃ©es gÃ©ographiques
+=====================================
+
+Il est trÃšs frÃ©quent de manipuler des donnÃ©es Ã  coordonnÃ©es "gÃ©ographiques" ou de "longitude/latitude". 
+
+Au contraire des coordonnÃ©es de type Mercator, UTM ou Stateplane, les coordonnÃ©es gÃ©ographiques ne reprÃ©sentent pas une distance linÃ©aire depuis une origine, tel que dans un plan. Elles dÃ©crivent la distance angulaire entre l'Ã©quateur et les pÃŽles. Dans les sytÃšmes de coordonnÃ©es sphÃ©riques, un point est spÃ©cifiÃ© par son rayon (distance Ã  l'origine), son angle de rotation par rapport au mÃ©ridien plan, et son angle par rapport Ã  l'axe pÃŽlaire. 
 
 .. image:: ./geography/cartesian_spherical.jpg
 
-You can treat geographic coordinates as approximate cartesian coordinates and continue to do spatial calculations. However, measurements of distance, length and area will be nonsensical. Since spherical coordinates measure **angular** distance, the units are in "degrees." Further, the approximate results from indexes and true/false tests like intersects and contains can become terribly wrong. The distance between points get larger as problem areas like the poles or the international dateline are approached.
-
-For example, here are the coordinates of Los Angeles and Paris.
+
+Vous pouvez continuer Ã  utiliser des coordonnÃ©es gÃ©ographiques comme des coordonnÃ©es cartÃ©siennes approximatives pour vos analyses spatiales. Par contre les mesures de distances, d'aires et de longueur seront Ã©ronÃ©es. Etant donnÃ© que les coordonnÃ©es spÃ©riques mesurent des angles, l'unitÃ© est le dÃ©grÃ©. Par exemple, les rÃ©sultats cartÃ©sien approximatifs de tests tels que 'intersects' et 'contains' peuvent s'avÃ©rer terriblement faux. Par ailleurs, plus une zone est situÃ©e prÃšs du pÃŽle ou de la ligne de date internationale, plus la distance entre les points est agrandie.  
+ 
+
+Voici par exemple les coordonnÃ©es des villes de Los Angeles et Paris.
 
  * Los Angeles: ``POINT(-118.4079 33.9434)``
  * Paris: ``POINT(2.3490 48.8533)``
  
-The following calculates the distance between Los Angeles and Paris using the standard PostGIS cartesian :command:`ST_Distance(geometry, geometry)`.  Note that the SRID of 4326 declares a geographic spatial reference system.
+La requÃªte suivante calcule la distance entre Los Angeles et Paris en utilisant le systÃšme cartÃ©sien standard de PostGIS :command:`ST_Distance(geometry, geometry)`.  Notez que le SRID 4326 dÃ©clare un systÃšme de rÃ©fÃ©rences spatiales gÃ©ographiques.
 
 .. code-block:: sql
@@ -30,24 +32,22 @@
   121.898285970107
   
-Aha! 121! But, what does that mean? 
-
-The units for spatial reference 4326 are degrees. So our answer is 121 degrees. But (again), what does that mean? 
-
-On a sphere, the size of one "degree square" is quite variable, becoming smaller as you move away from the equator. Think of the meridians (vertical lines) on the globe getting closer to each other as you go towards the poles. So, a distance of 121 degrees doesn't *mean* anything. It is a nonsense number.
-
-In order to calculate a meaningful distance, we must treat geographic coordinates not as approximate cartesian coordinates but rather as true spherical coordinates.  We must measure the distances between points as true paths over a sphere -- a portion of a great circle. 
-
-Starting with version 1.5, PostGIS provides this functionality through the ``geography`` type.
+Aha! 121! Mais, que veut dire cela ? 
+
+L'unitÃ© pour SRID 4326 est le degrÃ©. Donc la rÃ©ponse signifie 121 degrÃ©s. Sur une sphÃšre, la taille d'un degrÃ© "au carrÃ©" est assez variable. Elle devient plsu petite au fur et Ã  mesure que l'on s'Ã©loigne de l'Ã©quateur. Pensez par exemple aux mÃ©ridiens sur le globe qui se ressÃšrent entre eux au niveau des pÃŽles. Donc une distance de 121 degrÃ©s ne veut rien dire !
+
+Pour calculer une distance ayant du sens, nous devons traiter les coordonnÃ©es gÃ©ographiques non pas come des coordonnÃ©es cartÃ©siennes approximatives, mais plutÃŽt comme de rÃ©elles coordonnÃ©es sphÃ©riques. Nous devons mesurer les distances entre les points comme de vrais chemins par dessus uen sphÃšre, comme une portion d'un grand cercle.
+
+Depuis sa version 1.5, PostGIS fournit cette fonctionnalitÃ© avec le type ``geography``.
 
 .. note::
 
-  Different spatial databases have different approaches for "handling geographics" 
-  
-  * Oracle attempts to paper over the differences by transparently doing geographic calculations when the SRID is geographic. 
-  * SQL Server uses two spatial types, "STGeometry" for cartesian data and "STGeography" for geographics. 
-  * Informix Spatial is a pure cartesian extension to Informix, while Informix Geodetic is a pure geographic extension. 
-  * Similar to SQL Server, PostGIS uses two types, "geometry" and "geography".
-  
-Using the ``geography`` instead of ``geometry`` type, let's try again to measure the distance between Los Angeles and Paris. Instead of :command:`ST_GeometryFromText(text)`, we will use :command:`ST_GeographyFromText(text)`.
+  DiffÃ©rentes bases de donnÃ©es spatiales dÃ©veloppent diffÃ©rentes approches pour manipuler les coordonnÃ©es gÃ©ographiques.
+  
+  * Oracle essaye de mettre Ã  jour la diffÃ©rence de maniÃšre transparente en lanacant des calculs lorsuqe le SRID est gÃ©ographique.
+  * SQL Server utilise deux types spatiaux, "STGeometry" pour les coordonnÃ©es cartÃ©siens et STGeography" pour les coordonnÃ©es gÃ©ographqiues. 
+  * Informix Spatial est une pure extension cartÃ©sienne d'Informix, alors qu'Informix Geodetic est une pure extension gÃ©ographique. 
+  * Comme SQL Server, PostGIS utilise deux types: "geometry" et "geography".
+  
+En utilisant le type ``geography`` plutot que ``geometry``, essayon sÃ  nouveau de mesurer la distance entre Los Angeles et Paris. Au lieu de la commande :command:`ST_GeometryFromText(text)`, nous utiliserons cette fois :command:`ST_GeographyFromText(text)`.
 
 .. code-block:: sql
@@ -62,9 +62,9 @@
   9124665.26917268
 
-A big number! All return values from ``geography`` calculations are in meters, so our answer is 9124km. 
-
-Older versions of PostGIS supported very basic calculations over the sphere using the :command:`ST_Distance_Spheroid(point, point, measurement)` function. However, :command:`ST_Distance_Spheroid` is substantially limited. The function only works on points and provides no support for indexing across the poles or international dateline.
-
-The need to support non-point geometries becomes very clear when posing a question like "How close will a flight from Los Angeles to Paris come to Iceland?" 
+Toutes les valeurs retournÃ©es Ã©tant en mÃštres, notre rÃ©ponse est donc 9124 kilomÃštres.
+
+Les versions plus anciennes de PostGIS supportaient uniquement des calculs sur sphÃšre trÃšs basiques comme la fonction :command:`ST_Distance_Spheroid(point, point, measurement)`. Celle-ci est trÃšs limitÃ©e et ne fonctionne uniquement sur des  points. Elle ne supporte pas non plus l'indexation au niveau des pÃŽles ou de la ligne de date internationale.
+
+Le besoin du support des autres types de gÃ©omÃ©tries se fit ressentir lorsqu'il s'agissait de rÃ©pondre Ã  des questions du type  "A quelle distance la ligne de vol d'un avion Los Angeles/Paris passe-t-elle de l'Islande?" 
 
 .. image:: ./geography/lax_cdg.jpg