Index: trunk/workshop-foss4g/validity.rst
===================================================================
--- trunk/workshop-foss4g/validity.rst	(revision 49)
+++ trunk/workshop-foss4g/validity.rst	(revision 50)
@@ -1,11 +1,11 @@
 .. _validity:
 
-Partie 20 : validitÃ©
+Partie 20 : ValiditÃ©
 ====================
 
-Dans 90% des cas la rÃ©ponse Ã  question "pourquoi mes requÃªtes me renvoit un message d'erreur du type 'TopologyException' error"" est : "un ou plusieurs des arguments passÃ©s sont invalides". Ce qui nous conduit Ã  nous demander : que signifie invalide et pourquoi est-ce important ?
+Dans 90% des cas la rÃ©ponse Ã  la question "pourquoi mes requÃªtes me renvoit un message d'erreur du type 'TopologyException' error"" est : "un ou plusieurs des arguments passÃ©s sont invalides". Ce qui nous conduit Ã  nous demander : que signifie invalide et pourquoi est-ce important ?
 
-Qu'est-ce que la validitÃ©
--------------------------
+Qu'est-ce que la validitÃ© ?
+---------------------------
 
 La validitÃ© est surtout importante pour les polygones, qui dÃ©finissent des aires et requiÃšrent une bonne structuration. Les lignes sont vraiment simples et ne peuvent pas Ãªtre invalides ainsi que les points.
@@ -22,5 +22,5 @@
 La raison pour laquelle ces rÃšgles sont importants est que les algorythmes de calcul dÃ©pendent de cette structuration consistante des arguments. Il est possible de construire des algorythmes qui n'utilise pas cette structuration, mais ces fonctions tendents Ã  Ãªtre trÃšs lentes, Ã©tant donnÃ© que la premiÃšre Ã©tape consistera Ã  "analyser et construire  des strcuture Ã  l'intÃ©rieur des donnÃ©es".
 
-Voici un exemple de pourquoi cette structuration est importante. Ce polygon n'est pas valide :
+Voici un exemple de pourquoi cette structuration est importante. Ce polygone n'est pas valide :
 
 ::
@@ -49,6 +49,6 @@
 
 
-DÃ©tectÃ© la validitÃ©
--------------------
+DÃ©tecter la validitÃ©
+--------------------
 
 Dans l'exemple prÃ©cÃ©dent nous avions un polygone que nous **savions** non-valide. Comment dÃ©terminer les gÃ©omÃ©tries non valides dans une tables d'un million d'enregistrements ? Avec la fonction :command:`ST_IsValid(geometry)`. UtilisÃ© avec notre polygone prÃ©cÃ©dent, nous abtenons rapidement la rÃ©ponse :
Index: trunk/workshop-foss4g/geometry_returning.rst
===================================================================
--- trunk/workshop-foss4g/geometry_returning.rst	(revision 49)
+++ trunk/workshop-foss4g/geometry_returning.rst	(revision 50)
@@ -1,15 +1,15 @@
 .. _geometry_returning:
 
-Partie 18 : fonction de construction de gÃ©omÃ©tries
-==================================================
+Partie 18 : Fonctions de construction de gÃ©omÃ©tries
+====================================================
 
-Toute les fonctions que nous avons vu jusqu'Ã  prÃ©sent traitent les gÃ©omÃ©tries "comme elles sont" est retournent 
+Toute les fonctions que nous avons vu jusqu'Ã  prÃ©sent traitent les gÃ©omÃ©tries "comme elles sont" et retournent: 
  
-* une analise des objets (:command:`ST_Length(geometry)`, :command:`ST_Area(geometry)`), 
+* une analyse des objets (:command:`ST_Length(geometry)`, :command:`ST_Area(geometry)`), 
 * une sÃ©rialisation des objets (:command:`ST_AsText(geometry)`, :command:`ST_AsGML(geometry)`), 
 * une partie de l'objet (:command:`ST_RingN(geometry,n)`) ou
-* un resultat vrai/faux (:command:`ST_Contains(geometry,geometry)`, :command:`ST_Intersects(geometry,geometry)`).
+* un rÃ©sultat vrai/faux (:command:`ST_Contains(geometry,geometry)`, :command:`ST_Intersects(geometry,geometry)`).
 
-Les "fonctions de construction de gÃ©omÃ©tries" prennent des gÃ©omÃ©tries en entrÃ©e et retourne de nousvelles formes.
+Les "fonctions de construction de gÃ©omÃ©tries" prennent des gÃ©omÃ©tries en entrÃ©e et retourne de nouvelles formes.
 
 
Index: trunk/workshop-foss4g/joins_advanced.rst
===================================================================
--- trunk/workshop-foss4g/joins_advanced.rst	(revision 49)
+++ trunk/workshop-foss4g/joins_advanced.rst	(revision 50)
@@ -1,6 +1,6 @@
 .. _joins_advanced:
 
-Section 19: More Spatial Joins
-==============================
+Section 19: Plus de jointures spatiales
+=======================================
 
 In the last section we saw the :command:`ST_Centroid(geometry)` and :command:`ST_Union([geometry])` functions, and some simple examples. In this section we will do some more elaborate things with them.
Index: trunk/workshop-foss4g/tuning.rst
===================================================================
--- trunk/workshop-foss4g/tuning.rst	(revision 49)
+++ trunk/workshop-foss4g/tuning.rst	(revision 50)
@@ -1,10 +1,10 @@
 .. _tuning:
 
-Partie 21 : paramÃ©trer PostgreSQL pour le spatial
+Partie 21 : ParamÃ©trer PostgreSQL pour le spatial
 =================================================
 
 PostgreSQL est une base de donnÃ©es trÃšs versatile, capable de tourner dans des environnements ayant des ressources trÃšs limitÃ©s et partageant ces ressources avec un grand nombre d'autres applications. Afin d'assurer qu'il tournera convenablement dans ces environnements, la configuration par dÃ©faut est trÃšs peu consomatrice de ressource mais terriblement innadapatÃ© pour des bases de donnÃ©es hautes-performances en production. Ajoutez Ã  cela le fait que les base de donnÃ©es spatiales ont diffÃ©rent type d'utilisation, et que les donnÃ©es sont gÃ©nÃ©ralement plus grandes que les autres types de donnÃ©es, vous en arriverez Ã  la conclusion que les parÃštres par dÃ©faut ne sont pas appropriÃ© pour notre utilisasion.
 
-Tout ces paramÃštres de configuration peuvent Ãªtre Ã©ditÃ© dans le fichier de configuration de la base de donnÃ©es : :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.  Le contenu du fichier est du texte et il peut donc Ãªtre ouvert avec l'outils d'Ã©dition de fichiers de votre choix (Notepad par exemple). Les modifications apportÃ©es Ã  ce fichier ne seront effectives que lors du redÃ©marrage du serveur.
+Tout ces paramÃštres de configuration peuvent Ãªtre Ã©ditÃ©s dans le fichier de configuration de la base de donnÃ©es : :file:`C:\\Documents and Settings\\%USER\\.opengeo\\pgdata\\%USER`.  Le contenu du fichier est du texte et il peut donc Ãªtre ouvert avec l'outils d'Ã©dition de fichiers de votre choix (Notepad par exemple). Les modifications apportÃ©es Ã  ce fichier ne seront effectives que lors du redÃ©marrage du serveur.
 
 .. image:: ./tuning/conf01.png
@@ -79,5 +79,5 @@
 Cette valeur dÃ©finit le nombre maximum de segements des journaux (typiquement 16MB) qui doit Ãªtre remplit entre chaque point de reprises WAL. Un point de reprise WAL est une partie d'une sÃ©quence de transactions pour lequel on garanti que les fichiers de donnÃ©es ont Ã©tÃ© mis Ã  jour avec toutes les requÃªtes prÃ©cÃ©dent ce point. Ã ce moment-lÃ  toutes les pages sont punaisÃ©es sur le disque et les point de reprises sont Ã©crit dans le fichier de journal. Cela permet au precessus de reprise aprÃšs dÃ©faillance de trouver les dernierspoints de reprises et applique toute les lignes suivantes pour rÃ©cupÃ©rer l'Ã©tat des donnÃ©es avant la dÃ©faillance.
 
-Ãtant donnÃ©e que les point de reprises nÃ©cessitent un punaisage de toutes le pages ayant Ã©tÃ© modifiÃ©e sur le disques, cela va crÃ©er une charge d'entrÃ©es/sorties significative. Le mÃªme arguement que prÃ©cÃ©demment s'applique ici, les donnÃ©es spatiales sont assez grandes pour contrebalancer l'optimisation de donnÃ©es non spatiales. Augmenter cette valeur limitera le nombre de points de reprise, mais impliquera un plus redÃ©marrage en cas de dÃ©faillance.
+Ãtant donnÃ©e que les point de reprises nÃ©cessitent un punaisage de toutes le pages ayant Ã©tÃ© modifiÃ©e sur le disque, cela va crÃ©er une charge d'entrÃ©es/sorties significative. Le mÃªme arguement que prÃ©cÃ©demment s'applique ici, les donnÃ©es spatiales sont assez grandes pour contrebalancer l'optimisation de donnÃ©es non spatiales. Augmenter cette valeur limitera le nombre de points de reprise, mais impliquera un plus redÃ©marrage en cas de dÃ©faillance.
 
   *Valeur par dÃ©faut* : 3