Index: trunk/workshop-foss4g/equality.rst
===================================================================
--- trunk/workshop-foss4g/equality.rst	(revision 1)
+++ trunk/workshop-foss4g/equality.rst	(revision 52)
@@ -1,15 +1,15 @@
 .. _equality:
 
-Section 22: Equality
+Partie 22 : ÃgalitÃ©
 =================================
 
-Equality
+ÃgalitÃ©
 --------
 
-Determining equality when dealing with geometries can be tricky.  PostGIS supports three different functions that can be used to determine different levels of equality, though for clarity we will use the definitions below.  To illustrate these functions, we will use the following polygons.
+Ãtre en mesure de dÃ©terminer si deux geomÃ©tries sont Ã©gales peut Ãªtre compliquÃ©. PostGIS met Ã  votre disposition diffÃ©rentes fonctions permettant de juger de l'Ã©galitÃ© Ã  diffÃ©rents niveaux, bien que pour des raison de simplicitÃ© nous nuos contenterons ici de la dÃ©finition fournie plus bas. Pour illustrer ces fonctions, nous utiliseront les polygones suivants.
 
 .. image:: ./equality/polygon-table.png
 
-These polygons are loaded using the following commands.
+Ces polygones sont charger Ã  l'aide des commandes suivantes.
 
 .. code-block:: sql
@@ -34,8 +34,8 @@
 .. image:: ./equality/start13.png
 
-Exactly Equal
-^^^^^^^^^^^^^
+Exactement Ã©gaux
+^^^^^^^^^^^^^^^^^^
 
-Exact equality is determined by comparing two geometries, vertex by vertex, in order, to ensure they are identical in position.  The following examples show how this method can be limited in its effectiveness.
+L'Ã©galitÃ© exacte est dÃ©terminÃ©e en comparant deux gÃ©omÃ©tries, sommets par sommets, dans l'ordre, pour s'assurer que chacun est Ã  une position identique. Les exemples suivant montrent comment cette mÃ©thode peut Ãªtre limitÃ©e dans son Ã©fficacitÃ©.
 
 .. code-block:: sql
@@ -47,10 +47,10 @@
 .. image:: ./equality/start14.png
 
-In this example, the polygons are only equal to themselves, not to other seemingly equivalent polygons (as in the case of Polygons 1 through 3).  In the case of Polygons 1, 2, and 3, the vertices are in identical positions but are defined in differing orders.  Polygon 4 has colinear (and thus redundant) vertices on the hexagon edges causing inequality with Polygon 1.
+Dans cette exemple, les polygones sont seulement Ã©gaux Ã  eux-mÃªme, mais jamais avec un des autres polygones (dans notre exemple les polygones de 1 Ã  3). Dans le cas des polygones 1, 2 et 3, les sommets sont Ã  des position identiques mais sont dÃ©finies dans un ordre diffÃ©rent. Le polygone 4 a des sommets en double causant la non-Ã©galitÃ© avec le polygone 1.
 
-Spatially Equal
+Spatiallement Ã©gaux
 ^^^^^^^^^^^^^^^
 
-As we saw above, exact equality does not take into account the spatial nature of the geometries.  There is an function, aptly named :command:`ST_Equals`, available to test the spatial equality or equivalence of geometries.
+Comme nous l'avons prÃ©cÃ©demment, l'Ã©galitÃ© exacte ne prend pas en compte la nature spatiale des gÃ©omÃ©tries. Il y a une fonction, nommÃ©e :command:`ST_Equals`, permettant de tester l'Ã©galitÃ© spatiale ou l'Ã©quivalent des gÃ©omÃ©tries.
 
 .. code-block:: sql
@@ -62,10 +62,10 @@
 .. image:: ./equality/start15.png
 
-These results are more in line with our intuitive understanding of equality.  Polygons 1 through 4 are considered equal, since they enclose the same area.  Note that neither the direction of the polygon is drawn, the starting point for defining the polygon, nor the number of points used are important here.  What is important is that the polygons contain the same space.  
+Ces rÃ©sultats sont plus proches de notre comprÃ©hension intuitive de l'Ã©galitÃ©. Les polygones de 1 Ã  4 sont cosidÃ©rÃ©s comme Ã©gaux, puisque qu'elles recouvrent la mÃªme zone. Notez que ni la direction despolygones n'est considÃ©rÃ©e, le point de dÃ©part pour la dÃ©finition du polygone, ni le nombre de points. Ce qui importe c'est que la zone gÃ©ographique reprÃ©sentÃ©e est la mÃªme.
 
-Equal Bounds
-^^^^^^^^^^^^
+ÃgalitÃ© des Ã©tendues
+^^^^^^^^^^^^^^^^^^^^^
 
-Exact equality requires, in the worst case, comparison of each and every vertex in the geometry to determine equality.  This can be slow, and may not be appropriate for comparing huge numbers of geometries.  To allow for speedier comparison, the equal bounds operator, :command:`=`, is provided.  This operates only on the bounding box (rectangle), ensuring that the geometries occupy the same two dimensional extent, but not necessarily the same space.
+L'Ã©galitÃ© exacte nÃ©cessite, dans le pire des cas, de comparer chaqu'un  des sommets d'une gÃ©omÃ©trie pour dÃ©terminÃ© l'Ã©galitÃ©. Ceci peut Ãªtre trÃšs lent, et s'avÃ©rer innapropriÃ© pour comparer un grand nombre de gÃ©omÃ©tries. Pour permettre de rendre plus rapide ces comparaison, l'opÃ©ration d'Ã©galitÃ© des Ã©tendue est fournit :  :command:`=`. Cet opÃ©rateur utilise uniquement les Ã©tendues (cadre limite rectangulaire), assurant que les gÃ©omÃ©tries occupent le mÃªme espace dans un repÃšre cartÃ©sien en deux dimensions, mais ne reprÃ©sente pas nÃ©cessairement le mÃªme espace.
 
 .. code-block:: sql
@@ -77,4 +77,4 @@
 .. image:: ./equality/start17.png
 
-As you can see, all of our spatially equal geometries also have equal bounds.  Unfortunately, Polygon 5 is also returned as equal under this test, because it shares the same bounding box as the other geometries.  Why is this useful, then?  Although this will be covered in detail later, the shot answer is that this enables the use of spatial indexing that can quickly reduce huge comparison sets into more manageable blocks when joining or filtering data.
+Comme vous pouvez le constater, toutes les gÃ©omÃ©tries Ã©gales ont aussi une Ã©tendue Ã©gales. Malheureusement, le polygone 5 est aussi retournÃ© comme Ã©tant Ã©gal avec ce test, puisqu'il partage la mÃªme Ã©tendue que les autres gÃ©omÃ©tries. Mais alors, pourquoi est-ce utile ? Bien que cela soit traitÃ© en dÃ©tail plus tard, la rÃ©ponse courte est que cela permet l'utilisation d'indexation spatiales qui peuvent rÃ©duire drastiquement les ensembles de gÃ©omÃ©tries Ã  comparrer en utilisant des filtres utilisant cette Ã©galitÃ© d'Ã©tendues.
 