Index: trunk/workshop-foss4g/joins_advanced.rst
===================================================================
--- trunk/workshop-foss4g/joins_advanced.rst	(revision 50)
+++ trunk/workshop-foss4g/joins_advanced.rst	(revision 54)
@@ -1,35 +1,35 @@
 .. _joins_advanced:
 
-Section 19: Plus de jointures spatiales
+Partie 19 : Plus de jointures spatiales
 =======================================
 
-In the last section we saw the :command:`ST_Centroid(geometry)` and :command:`ST_Union([geometry])` functions, and some simple examples. In this section we will do some more elaborate things with them.
+Dans la partie prÃ©cÃ©dente nous avons vu les fonctions :command:`ST_Centroid(geometry)` et :command:`ST_Union([geometry])` ainsi que quelques exemples simples. Dans cette partie nous rÃ©aliseront des choses plus Ã©llaborÃ©es.
 
 .. _creatingtractstable:
 
-Creating a Census Tracts Table
-------------------------------
-
-In the workshop ``\data\`` directory, is a file that includes attribute data, but no geometry, ``nyc_census_sociodata.sql``. The table includes interesting socioeconomic data about New York: commute times, incomes, and education attainment. There is just one problem. The data are summarized by "census tract" and we have no census tract spatial data! 
-
-In this section we will
-
- * Load the ``nyc_census_sociodata.sql`` table
- * Create a spatial table for census tracts 
- * Join the attribute data to the spatial data
- * Carry out some analysis using our new data
- 
-Loading nyc_census_sociodata.sql
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
- #. Open the SQL query window in PgAdmin
- #. Select **File->Open** from the menu and browse to the ``nyc_census_sociodata.sql`` file
- #. Press the "Run Query" button
- #. If you press the "Refresh" button in PgAdmin, the list of tables should now include at ``nyc_census_sociodata`` table
- 
-Creating a Census Tracts Table
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- 
-As we saw in the previous section, we can build up higher level geometries from the census block by summarizing on substrings of the ``blkid`` key. In order to get census tracts, we need to summarize grouping on the first 11 characters of the ``blkid``.
+CrÃ©ation de la table de traÃ§age des recensements
+------------------------------------------------
+
+Dans le rÃ©pertoire ``\data\`` des travaux pratiques, il y a un fichier qui contient des donnÃ©es attributaires, mais pas de gÃ©omÃ©tries, ce fichier est nommÃ© ``nyc_census_sociodata.sql``. La table contient des donnÃ©es sociaux-Ã©conomiques interressantes Ã  propos de New York : revenus financiers, Ã©ducation .... Il y a juste un problÃšme, les donnÃ©es sont rassemblÃ© en "trace de recensement" et nous n'avons pas de donnÃ©es spatiales associÃ©es !
+
+Dans cette partie nous allons
+
+ * Charger la table ``nyc_census_sociodata.sql``
+ * CrÃ©er une table spatiale pour les traces de recensement
+ * Joindre les donnÃ©es attributaires Ã  nos donnÃ©es spatiales
+ * RÃ©aliser certaines analises sur nos nouvelles donnÃ©es
+ 
+Chargement du fichier nyc_census_sociodata.sql
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+ #. Ouvrez la fenÃªtre de requÃªtage SQL depuis PgAdmin
+ #. Selectionnez **File->Open** depuis le menu et naviguez jusqu'au fichier ``nyc_census_sociodata.sql``
+ #. Cliquez sur le bouton "Run Query"
+ #. Si vous cliquez sur le bouton "Refresh" depuis PgAdmin, la liste des table devrait contenir votre nouvelle table ``nyc_census_sociodata``
+ 
+CrÃ©ation de la table traces de recensement
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ 
+Comme nous l'avons dans la partie prÃ©cÃ©dente, nous pouvons construire des gÃ©omÃ©tries de niveau suppÃ©rieur en utilisant nos blocks de base en utilisant une partie de la clef ``blkid``. Afin de calculer les traces de recensement, nous avons besoin de regrouper les blocks en uitlisant les 11 premiers caractÃšres de la colonne ``blkid``. 
  
   ::
@@ -43,9 +43,9 @@
     000    = Census Block
 
-Create the new table using the :command:`ST_Union` aggregate:
+CrÃ©ation de la nouvelle table en utilisant la fonction d'agrÃ©gation :command:`ST_Union` :
  
 .. code-block:: sql
    
-   -- Make the tracts table
+   -- CrÃ©ation de la table
    CREATE TABLE nyc_census_tract_geoms AS
    SELECT 
@@ -55,18 +55,18 @@
    GROUP BY tractid;
      
-   -- Index the tractid
+   -- Indexation du champ tractid
    CREATE INDEX nyc_census_tract_geoms_tractid_idx ON nyc_census_tract_geoms (tractid);
      
-   -- Update the geometry_columns table
+   -- Mise Ã  jour de la table geometry_columns
    SELECT Populate_Geometry_Columns();
 
-Join the Attributes to the Spatial Data
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-Join the table of tract geometries to the table of tract attributes with a standard attribute join
-  
-.. code-block:: sql
-  
-  -- Make the tracts table
+Regrouper les donnÃ©es attributaires et spatiales
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+L'objectif est ici de regrouper les donnÃ©es spatiales que nous avons crÃ©Ã© avec les donÃ©es attributaires que nous avions chargÃ© initialement.
+  
+.. code-block:: sql
+  
+  -- CrÃ©ation de la table
   CREATE TABLE nyc_census_tracts AS
   SELECT 
@@ -77,16 +77,16 @@
   ON g.tractid = a.tractid;
     
-  -- Index the geometries
+  -- Indexation des gÃ©omÃ©tries
   CREATE INDEX nyc_census_tract_gidx ON nyc_census_tracts USING GIST (the_geom);
     
-  -- Update the geometry_columns table
+  -- Mise Ã  jour de la table geometry_columns
   SELECT Populate_Geometry_Columns();
 
 .. _interestingquestion:
 
-Answer an Interesting Question
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+RÃ©pondre Ã  une question interressante
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      
-Answer an interesting question! "List top 10 New York neighborhoods ordered by the proportion of people who have graduate degrees."
+RÃ©pondre Ã  une question interressante ! "Lister les 10 meilleurs quartiers ordonnÃ©es par la proportion de personne ayant acquis un diplome". 
   
 .. code-block:: sql
@@ -103,5 +103,5 @@
   LIMIT 10;
 
-We sum up the statistics we are interested, then divide them together at the end. In order to avoid divide-by-zero errors, we don't bother bringing in tracts that have a population count of zero.
+Nous sommons les statistiques qui nous interressent, nous les divisons ensuite Ã  la fin. Afin d'aviter l'erreur de non-division par zero, nous ne prennons pas en compte les quartiers qui n'ont aucune personne ayant obtenu un diplome.
 
 ::
@@ -123,17 +123,17 @@
 .. _polypolyjoins:
 
-Polygon/Polygon Joins
----------------------
-
-In our interesting query (in :ref:`interestingquestion`) we used the :command:`ST_Intersects(geometry_a, geometry_b)` function to determine which census tract polygons to include in each neighborhood summary. Which leads to the question: what if a tract falls on the border between two neighborhoods? It will intersect both, and so will be included in the summary statistics for **both**.
+Polygones/Jointures de polygones
+---------------------------------
+
+Dans notre requÃªte interressante (dans :ref:`interestingquestion`) nous avons utilisÃ© la fonction :command:`ST_Intersects(geometry_a, geometry_b)` pour dÃ©terminer quelle entitÃ© polygonale Ã  inclure dans chaque groupe de quartier. Ce qui nous conduit Ã  la question : que ce passe-t-il si une entitÃ© tombe ntre deux quartier ? Il intersectera chacun d'entre eux et ainsi sera inclu dans **chacun** des rÃ©sultats. 
 
 .. image:: ./screenshots/centroid_neighborhood.png
 
-To avoid this kind of double counting there are two methods:
-
- * The simple method is to ensure that each tract only falls in **one** summary area (using :command:`ST_Centroid(geometry)`)
- * The complex method is to divide crossing tracts at the borders (using :command:`ST_Intersection(geometry,geometry)`)
- 
-Here is an example of using the simple method to avoid double counting in our graduate education query:
+Pour Ã©viter ce cas de double comptage il existe trois mÃ©thodes :
+
+ * La mÃ©thode simple consiste a s'assurer que chaque entitÃ© ne se retrouve que dans **un** seul groupe gÃ©ograhique (en utilisant :command:`ST_Centroid(geometry)`)
+ * La mÃ©thode complexe consiste Ã  disviser les parties qui se croisent en utilisant les bordures (en utilisant :command:`ST_Intersection(geometry,geometry)`)
+ 
+Voici un exemple d'utilisation de la mÃ©thode simple pour Ã©viter le double comptage dans notre requÃªte prÃ©cÃ©dente :
 
 .. code-block:: sql
@@ -150,5 +150,5 @@
   LIMIT 10;
   
-Note that the query takes longer to run now, because the :command:`ST_Centroid` function  has to be run on every census tract.
+Remarquez que la requÃªte prend plus de temps Ã  s'exÃ©cuter, puisque la fonction :command:`ST_Centroid` doit Ãªtre effectuÃ©e pour chaque entitÃ©.
 
 ::
@@ -167,15 +167,15 @@
            28.4 | Cobble Hill       | Brooklyn
   
-Avoiding double counting changes the results! 
+Ãviter le double comptage change le rÃ©sultat !
 
 
 .. _largeradiusjoins:
 
-Large Radius Distance Joins
----------------------------
-
-A query that is fun to ask is "How do the commute times of people near (within 500 meters) subway stations differ from those of people far away from subway stations?"
-
-However, the question runs into some problems of double counting: many people will be within 500 meters of multiple subway stations. Compare the population of New York:
+Jointures utilisant un large rayon de distance
+----------------------------------------------
+
+Une requÃªte qu'il est sympat de demander est : "Comment les temps de permutation des gens proches (dans un rayon de 500 metres ) des stations de mÃ©tros diffÃšrent de ceuxqui en vive loin ? "
+
+NÃ©anmoins, la question rencontre les mÃªme problÃšme de double comptage : plusieurs personnes seront dans un rayon de 500 metres de plusieurs stations de mÃ©tros diffÃ©rentes. Coparons la population de New York :
 
 .. code-block:: sql
@@ -188,5 +188,5 @@
   8008278
   
-With the population of the people in New York within 500 meters of a subway station:
+Avec la population des gens de New York dans un rayon de 500 metres d'une station de mÃ©tros :
 
 .. code-block:: sql
@@ -201,9 +201,9 @@
   10556898
 
-There's more people close to the subway than there are people! Clearly, our simple SQL is making a big double-counting error. You can see the problem looking at the picture of the buffered subways.
+Il y a plus de personnes proches du mÃ©tro qu'il y a de peronnes ! Clairement, notre requÃªte SQL simple rencontre un gros problÃšme de double comptage. Vous pouvez voir le problÃšme en regardant l'image des zones tampons crÃ©Ã©es pour les stations.
 
 .. image:: ./screenshots/subways_buffered.png
 
-The solution is to ensure that we have only distinct census blocks before passing them into the summarization portion of the query. We can do that by breaking our query up into a subquery that finds the distinct blocks, wrapped in a summarization query that returns our answer:
+La solution est de s'assurer que nous avons seulement des blocks distincts avant de les les regrouper. Nou spouvons rÃ©aliser cela en cassant notre requÃªte en sous-requÃªtes qui rÃ©cupÃšre les blocks distincts, regroupÃ© ensuite pour retrouner notre rÃ©ponse :
 
 .. code-block:: sql
@@ -221,6 +221,6 @@
   4953599
 
-That's better! So a bit over half the population of New York is within 500m (about a 5-7 minute walk) of the subway.
-
-
-
+C'est mieux ! Donc un peu plus de 50 % de la population de New York vit Ã  proximitÃ© (50m environ 5 Ã  7 minutes de marche) du mÃ©tro.
+
+
+