Index: trunk/workshop-foss4g/postgis-functions.rst
===================================================================
--- trunk/workshop-foss4g/postgis-functions.rst	(revision 54)
+++ trunk/workshop-foss4g/postgis-functions.rst	(revision 55)
@@ -1,70 +1,70 @@
 .. _postgis-functions:
 
-Appendix A: PostGIS Functions
+Appendice A : Fonctions PostGIS
 =============================
 
-Constructors
+Constructeurs
 ------------
 
 :command:`ST_MakePoint(Longitude, Latitude)` 
-  Returns a new point. Note the order of the coordinates (longitude then latitude).
+  Retourne un nouveau point. Note : ordre des coordonÃ©es (longitude puis latitude).
 
 :command:`ST_GeomFromText(WellKnownText, srid)`
-  Returns a new geometry from a standard WKT string and srid.
+  Retourne une nouvelle gÃ©omÃ©trie Ã  partir d'un reprÃ©sentation au format WKT et un SRID.
 
 :command:`ST_SetSRID(geometry, srid)`
-  Updates the srid on a geometry.  Returns the same geometry.  This does not alter the coordinates of the geometry, it just updates the srid. This function is useful for conditioning geometries created without an srid.
+  Met Ã  jour le SRID d'une gÃ©omÃ©trie. Retourne la mÃªme gÃ©omÃ©trie. Cela ne modifie pas les coordonnÃ©es de la gÃ©omÃ©trie, cela met simplement Ã  jour le SRID. Cette fonction est utile pour reconditionner les gÃ©omÃ©tries sans SRID.
 
 :command:`ST_Expand(geometry, Radius)`
-  Returns a new geometry that is an expanded bounding box of the input geometry.  This function is useful for creating envelopes for use in indexed searches.
+  Retourne une nouvelle gÃ©omÃ©trie qui est une extension de l'Ã©tendue de la gÃ©omÃ©trie passÃ© en argument. Cette fonction est utile pour crÃ©er des envelopes pour des recherches utilisants les indexations.
 
-Outputs
+Srotie
 -------
 
 :command:`ST_AsText(geometry)`
-  Returns a geometry in a human-readable text format.
+  Retourne une gÃ©omÃ©trie au format WKT.
 
 :command:`ST_AsGML(geometry)`
-  Returns a geometry in standard OGC :term:`GML` format.
+  Retourne la gÃ©omÃ©trie au format standard OGC :term:`GML`.
 
 :command:`ST_AsGeoJSON(geometry)`
-  Returns a geometry to a standard `GeoJSON <http://geojson.org>`_ format.
+  Retourne une gÃ©omÃ©trie au format "standard" `GeoJSON <http://geojson.org>`_.
 
-Measurements
+Measures
 ------------
 
 :command:`ST_Area(geometry)`
-  Returns the area of the geometry in the units of the spatial reference system.
+  Retourne l'aire d'une gÃ©omÃ©trie dans l'unitÃ© du systÃšme de rÃ©fÃ©rences spatiales.
 
 :command:`ST_Length(geometry)`
-  Returns the length of the geometry in the units of the spatial reference system.
+  Retourne la longueur de la gÃ©omÃ©trie dans l'unitÃ© du systÃšme de rÃ©fÃ©rences spatiales.
 
 :command:`ST_Perimeter(geometry)`
-  Returns the perimeter of the geometry in the units of the spatial reference system.
+  Retourne le pÃ©rimÃ©tre de la gÃ©omÃ©trie dans l'unitÃ© du systÃšme de rÃ©fÃ©rences spatiales.
 
 :command:`ST_NumPoints(linestring)`
-  Returns the number of vertices in a linestring.
+  Retourne le nombre de sommets dans une ligne.
 
 :command:`ST_NumRings(polygon)`
-  Returns the number of rings in a polygon.
+  Retourne le nombre de contours dans un polygone.
 
 :command:`ST_NumGeometries(geometry)` 
-  Returns the number of geometries in a geometry collection.
+  Retourne le nombre de gÃ©omÃ©tries dans une collections de gÃ©omÃ©tries.
 
-Relationships
+Relations
 -------------
 
 :command:`ST_Distance(geometry, geometry)`
-  Returns the distance between two geometries in the units of the spatial reference system.
+  Retourne la distance entre deux gÃ©omÃ©tries dans l'unitÃ© du  systÃšme de rÃ©fÃ©rences spatiales.
 
 :command:`ST_DWithin(geometry, geometry, radius)` 
-  Returns true if the geometries are within the radius distance of one another, otherwise false.
+  Retourne vrai si les gÃ©omÃ©tries sont distant d'un rayon de l'autre, sinon faux.
 
 :command:`ST_Intersects(geometry, geometry)`
-  Returns true if the geometries are not disjoint, otherwise false.
+  Retourne vrai si les gÃ©omÃ©tries sont disjointes, sinon faux.
 
 :command:`ST_Contains(geometry, geometry)`
-  Returns true if the first geometry fully contains the second geometry, otherwise false.
+  Retourne vrai si la premiÃšre gÃ©omÃ©trie est totalement contenu dans la seconde, sinon faux.
 
 :command:`ST_Crosses(geometry, geometry)`
-  Returns true if a line or polygon boundary crosses another line or polygon boundary, otherwise false.
+  Retourne vrai si une ligne ou les contours d'un polygone croisent une ligne ou un contour de polygone, sinon faux.