Index: /trunk/workshop-foss4g/glossary.rst
===================================================================
--- /trunk/workshop-foss4g/glossary.rst	(revision 55)
+++ /trunk/workshop-foss4g/glossary.rst	(revision 56)
@@ -1,5 +1,5 @@
 .. _glossary:
 
-Appendix B: Glossary
+Appendice B : Glossaire
 ====================
 
@@ -7,47 +7,47 @@
 
     CRS
-        A "coordinate reference system". The combination of a geographic coordinate system and a projected coordinate system.
+        Un "systÃšme de rÃ©fÃ©rences spatiales". La combinaison d'un systÃšme de coordonnÃ©e gÃ©ographiques et un systÃšme de projection.
 
     GDAL
-        `Geospatial Data Abstraction Library <http://gdal.org>`_, pronounced "GOO-duhl", an open source raster access library with support for a large number of formats, used widely in both open source and proprietary software.
+        `Geospatial Data Abstraction Library <http://gdal.org>`_, prononcÃ© "GÃ©DAL", une bibliothÃšque open source permettant d'accÃ©der aux donnÃ©es rasters supportant un grand nombre de formats, utilisÃ© largement Ã  la fois dans les applications open source et propriÃ©taires.
 
     GeoJSON
-        "Javascript Object Notation", a text format that is very fast to parse in Javascript virtual machines. In spatial, the extended specification for `GeoJSON <http://geojson.org>`_ is commonly used.
+        "Javascript Object Notation", un format texte qui est trÃšs rapide et qui permet de reprÃ©senter des objet JavaScript. En spatial, la spÃ©cification Ã©tendue `GeoJSON <http://geojson.org>`_ est courramment utilisÃ©e.
     
-    GIS
-        `Geographic information system <http://en.wikipedia.org/wiki/Geographic_information_system>`_ or geographical information system captures, stores, analyzes, manages, and presents data that is linked to location.
+    SIG
+        `SystÃšme d'Information GÃ©ographique <http://en.wikipedia.org/wiki/Geographic_information_system>`_ capture, stock, analyse, gÃšre, et prÃ©sente les donnÃ©es qui sont reliÃ©es Ã  la zone gÃ©ographique.
     
     GML
-        `Geography Markup Language <http://www.opengeospatial.org/standards/gml>`_.  GML is the :term:`OGC` standard XML format for representing spatial feature information.
+        `Geography Markup Language <http://www.opengeospatial.org/standards/gml>`_.  Le GML est un format standard XML :term:`OGC` pour reprÃ©senter les donnÃ©es gÃ©ographiques.
 
     JSON
-        "Javascript Object Notation", a text format that is very fast to parse in Javascript virtual machines. In spatial, the extended specification for `GeoJSON <http://geojson.org>`_ is commonly used.
+        "Javascript Object Notation", un format text qui est trÃšs rapide permettant de stocker les objets JavaScript. Au niveau spatial, la spÃ©cification Ã©tendu `GeoJSON <http://geojson.org>`_ est courramment utilisÃ©.
 
     JSTL
-        "JavaServer Page Template Library", a tag library for :term:`JSP` that encapsulates many of the standard functions handled in JSP (database queries, iteration, conditionals) into a terse syntax.
+        "JavaServer Page Template Library", est une bibliothÃšque pour :term:`JSP` qui encapsule plusieurs fonctionalitÃ©s de bases gÃ©rÃ© en JSP (requÃªte de bases de donnÃ©es, itÃ©ration, conditionnel) dans un syntaxe tiÃšrce.
 
     JSP
-        "JavaServer Pages" a scripting system for Java server applications that allows the interleaving of markup and Java procedural code.
+        "JavaServer Pages" est un systÃšme de script pour les serveur d'applications Java qui permet de mixer du code XML et du code Java.
 
     KML
-        "Keyhole Markup Language", the spatial XML format used by Google Earth. Google Earth was originally written by a company named "Keyhole", hence the (now obscure) reference in the name.
+        "Keyhole Markup Language", le format XML utilisÃ© par Google Earth. Google Earth. Il fÃ»t Ã  l'origine dÃ©veloppÃ© par la sociÃ©tÃ© "Keyhole", ce qui expliqe sa prÃ©sence (maintenant obscure)  dans le nom du format.
 
     OGC
-        The Open Geospatial Consortium <http://opengeospatial.org/> (OGC) is a standards organization that develops specifications for geospatial services.
+        Open Geospatial Consortium <http://opengeospatial.org/> (OGC) est une organisation qui dÃ©veloppent des spÃ©cifications pour les services spatiaux.
 
     OSGeo
-         The Open Source Geospatial Foundation <http://osgeo.org> (OSGeo) is a non-profit foundation dedicated to the promotion and support of open source geospatial software.
+         Open Source Geospatial Foundation <http://osgeo.org> (OSGeo) est une association Ã  but non lucratif dÃ©diÃ© Ã  la promotion et au support des logiciels cartographiques open source.
 
     SFSQL
-        The `Simple Features for SQL <http://www.opengeospatial.org/standards/sfs>`_ (SFSQL) specification from the :term:`OGC` defines the types and functions that make up a standard spatial database.
+        La spÃ©cification `Simple Features for SQL <http://www.opengeospatial.org/standards/sfs>`_ (SFSQL) de l':term:`OGC` dÃ©finit les types et les fonctions qui doivent Ãªtre disponibles dans une base de donnÃ©es spatiales.
 
     SLD
-        The `Styled Layer Descriptor <http://www.opengeospatial.org/standards/sld>`_ (SLD) specification from the :term:`OGC` defines an format for describing cartographic rendering of vector features.
+        Les spÃ©cifications `Styled Layer Descriptor <http://www.opengeospatial.org/standards/sld>`_ (SLD) de l':term:`OGC` dÃ©finissent un format permettant de dÃ©crire la maniÃšre d'afficher des donnÃ©esvectorielles.
 
     SRID
-        "Spatial reference ID" a unique number assigned to a particular "coordinate reference system". The PostGIS table **spatial_ref_sys** contains a large collection of well-known srid values and text representations of the coordinate reference systems.
+        "Spatial reference ID" est un identifiant unique assignÃ© Ã  un systÃšme de coordonnÃ©es gÃ©ographique particulier. La table PostGIS **spatial_ref_sys** contient un loarge collection de valeurs de SRID connus.
 
     SQL
-        "Structured query language" is the standard means for querying relational databases. See http://en.wikipedia.org/wiki/SQL.
+        "Structured query language" est un standard permettant de requÃªter les bases de donnÃ©es relationnelle. RÃ©fÃ©rence http://en.wikipedia.org/wiki/SQL.
 
     SQL/MM
@@ -55,17 +55,17 @@
 
     SVG
-        "Scalable vector graphics" is a family of specifications of an XML-based file format for describing two-dimensional vector graphics, both static and dynamic (i.e. interactive or animated). See http://en.wikipedia.org/wiki/Scalable_Vector_Graphics.
+        "Scalable vector graphics" est une famille de spÃ©cifications basÃ© sur le format XML pour dÃ©crire des objet graphiques en 2 dimensions, aussi bien statiques que dynamiques (par exemple interactive ou animÃ©). RÃ©ference : http://en.wikipedia.org/wiki/Scalable_Vector_Graphics.
 
     WFS
-        The `Web Feature Service <http://www.opengeospatial.org/standards/wfs>`_ (WFS) specification from the :term:`OGC` defines an interface for reading and writing geographic features across the web.
+        Les spÃ©cifications `Web Feature Service <http://www.opengeospatial.org/standards/wfs>`_ (WFS) de l':term:`OGC` dÃ©finit une interface pour lire et Ã©crire des donnÃ©es gÃ©ographiques Ã  travers internet.
 
     WMS
-        The `Web Map Service <http://www.opengeospatial.org/standards/wms>`_ (WMS) specification from the :term:`OGC` defines an interface for requesting rendered map images across the web.
+        Les spÃ©cifications `Web Map Service <http://www.opengeospatial.org/standards/wms>`_ (WMS) de l':term:`OGC` dÃ©finit une interface pour requÃªter une carte Ã  travers internet.
 
     WKB
-        "Well-known binary". Refers to the binary representation of geometries described in the Simple Features for SQL specification (:term:`SFSQL`).
+        "Well-known binary". Fait rÃ©fÃ©rence Ã  la reprÃ©sentation binaire desgÃ©omÃ©tries comme dÃ©crit dans les spÃ©cifications Simple Features for SQL (:term:`SFSQL`).
         
     WKT
-        "Well-known text". Can refer either to the text representation of geometries, with strings starting "POINT", "LINESTRING", "POLYGON", etc. Or can refer to the text representation of a :term:`CRS`, with strings starting "PROJCS", "GEOGCS", etc.  Well-known text representations are :term:`OGC` standards, but do not have their own specification documents. The first descriptions of WKT (for geometries and for CRS) appeared in the :term:`SFSQL` 1.0 specification.
+        "Well-known text". Fait rÃ©fÃ©rence Ã  la reprÃ©sentation textuelle de gÃ©omÃ©tries, avec des chaÃ®nes commenÃ§ant par "POINT", "LINESTRING", "POLYGON", etc. Il peut aussi faire rÃ©fÃ©rence Ã  la reprÃ©sentation textuelle d'un :term:`CRS`, avec une chaÃ®ne commenÃ§ant par "PROJCS", "GEOGCS", etc.  Les reprÃ©sentations au format Well-known text sont des standards de l':term:`OGC`, mais n'ont pas leur propres documents de spÃ©cifications. La premiÃšre description du WKT (pour les gÃ©omÃ©tries et pour les CRS) apparaissent dans les spÃ©cifications :term:`SFSQL` 1.0.
         
 